****** Version 2.01 ******

Wed Sep  8 20:28:58 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.47
	* isovfy.c 1.23
	* dump.c 1.21
	* isodebug.c 1.9
	* isodump.c 1.24
	* mkisofs.c 1.161
	  Version -> 2.01

Thu Sep  2 13:05:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.108
	  -D Hinweis auf ISO9660:1999

Mon Aug 30 12:24:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.107
	  ISO-9690 -> ISO-9660

Tue Aug 24 19:21:54 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.85
	  Intermediate Cast auf (void *) damit GCC nicht wegen "strict-aliasing rules" meckert

Tue Aug  3 21:21:54 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.106
	  Hinweis auf Bugfix fuer -no-split-symlink-components / -no-split-symlink-fields

Sat Jul 31 17:11:30 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.105
	  Schreibfehler beseitigt

Sat Jul 17 23:42:14 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.104
	* mkisofs.c 1.160
	  Version -> 2.01a34
	  -volset-size ist nun auf 1 begrenzt

Sun Jul 11 18:30:27 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.159
	  Fehlermeldung bei -L/-H/-P weis nun korrekt auf 2.02 hin

Sun Jul 11 02:03:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.158
	  -> NEED_O_BINARY

Fri Jul  9 17:34:41 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.157
	  Version -> 2.01a33

Fri Jul  9 16:06:36 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.14
	* write.c 1.84
	  static -> LOCAL + EXPORT

Fri Jul  9 15:32:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.83
	  'VIDEO_TS' wird jetzt immer gefunden und mkisofs bricht ab wenn es nicht gefunden werden konnte und -dvd-video

Fri Jun 18 11:17:08 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hash.c 1.18
	  Nachdenken ueber Speedup

Thu Jun 17 12:25:43 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.156
	  Version -> 2.01a32

Thu Jun 17 11:22:11 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dump.c 1.20
	* isodump.c 1.23
	  For Schleife ohne strlen() in Ende Bedingung

Sat Jun 12 16:15:16 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.82
	  sprintf() zur besseren Geschwindigkeit beim Erzeugen von 8.3 Filenamen in sort_n_finish() vermeiden

Mon Jun  7 13:02:01 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.103
	  Dokumentation der maximalen Stringlaenge der Eintraege im PVD nun auch bei den Optionen

Sat Jun  5 16:48:02 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.102
	* mkisofs.c 1.155
	  Optionen -H/-L/-P sind veraltet und werden mit 2.02 POSIX.1-2001 konform

Tue Jun  1 18:27:04 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.154
	  Version -> 2.01a31

Tue Jun  1 16:53:24 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.81
	  Bei DJGPP auch alle Files eXecutable machen.

Tue Jun  1 16:52:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.153
	  load_nls("cp437") per Default auch fuer DJGPP

Tue Jun  1 16:51:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.18
	  SYSTEM_ID -> DOS fuer DJGPP

Tue Jun  1 16:50:58 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.46
	  setmode(fileno(stdout), O_BINARY) beim Extrahieren von Dateien nach STDOUT

Tue Jun  1 14:07:06 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isodebug.c 1.8
	  Funktionen moeglichst LOCAL 

Tue Jun  1 13:50:50 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dump.mk 1.4
	* dump.c 1.19
	* isoinfo.8 1.7
	* isodump.c 1.22
	* isoinfo.mk 1.5
	* isodump.mk 1.4
	* isovfy.mk 1.4
	* isovfy.c 1.22
	* isodebug.mk 1.2
	* isodebug.c 1.7
	  Umstellung auf libscg

Sat May 29 17:46:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.45
	  cdr_defaults() nur mit libscg rufen

Sat May 29 16:55:08 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isodebug.c 1.6
	  Version -> 2.01a31
	  Cstyle

Fri May 28 13:51:13 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.44
	  Support fuer cdr_defaults() (/etc/default/cdrecord) neu

Fri May 28 13:39:35 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.43
	  Cstyle

Fri May 28 13:37:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.42
	  Version -> 2.01a31
	  Umbau auf libscg

Fri May 28 13:36:25 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isodump.c 1.21
	* isovfy.c 1.21
	  Version -> 2.01a31
	  Cstyle

Fri May 28 01:09:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dump.c 1.18
	  Version -> 2.01a31
	  Cstyle

Thu May 27 01:54:59 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.94
	  scsi.c Prototypen -> scsi.h

Thu May 27 01:54:31 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.h 1.1
	  date and time created 04/05/27 00:54:31 by joerg

Sun May 23 23:46:05 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.32
	  Debug Messages beseitigt

Sun May 23 23:23:27 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.101
	* tree.c 1.80
	* eltorito.c 1.31
	* match.h 1.9
	* mkisofs.c 1.152
	* match.c 1.18
	  Version -> 2.01a30
	  Eltorito Boot Images per Default nach Vorne Sortieren

Thu May 20 13:38:31 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.30
	  Copyright J. Schilling neu

Thu May 20 13:33:59 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.29
	  Keine Ausgabe der Bootmethode bei mkisofs -quiet

Sat May 15 22:25:17 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.151
	  Version -> 2.01a29
	  Hinweis auf unerwuenschte SILO Optionen

Sat May 15 21:48:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.82
	  Neuer Kommentar damit SuSE keine sinnlosen Patches anbringt

Sat May 15 21:05:49 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.41
	  Version -> 2.01a29

Sat May 15 19:59:40 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.66
	* mkisofs.c 1.150
	* isoinfo.c 1.40
	  GCC shadowed Variblen beseitigt

Thu Apr 15 16:33:41 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.149
	  Version -> 2.01a28

Thu Apr 15 16:30:40 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hash.c 1.17
	  isoname_endsok() neu zum besseren Vergleich von ISO-9660 namen

Thu Apr 15 14:51:22 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hash.c 1.16
	* udf.c 1.14
	  Cstyle

Wed Apr 14 12:55:56 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.81
	  Schreibfehler beseitigt (Initial Padbock)

Tue Apr  6 12:30:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.79
	  Fix fuer doppeltes Free von Juergen Keil
	  Absturz durch:
	  echo bar >/tmp/bar
	  echo foo/bar=/tmp/bar > /tmp/pathlist
	  env LD_PRELOAD=libumem.so.1 UMEM_DEBUG=default UMEM_LOGGING=transaction mkisofs -hfs -graft-points -o /tmp/foo.raw -path-list=/tmp/pathlist

Tue Apr  6 11:57:30 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.78
	  beruecksichtigung des Null Bytes beim malloc() fuer die Datei TRANS_TBL

Sun Apr  4 20:24:38 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.65
	  Bessere Fehlermeldung bei multi Session mit volset size > 1

Mon Mar 15 15:43:58 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.17
	  "SCO-OPENSERVER"/"SCO-UNIXWARE", Default ist nun "UNIX" statt "LINUX"

Fri Mar  5 00:22:28 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.148
	  Version -> 2.01a27

Fri Mar  5 00:12:50 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.c 1.9
	* match.c 1.17
	* name.c 1.28
	* scsi.c 1.19
	* stream.c 1.3
	* files.c 1.12
	* exclude.c 1.9
	* dvd_reader.c 1.3
	* eltorito.c 1.28
	* ifo_read.c 1.5
	* dvd_file.c 1.3
	* desktop.c 1.6
	* apple_driver.c 1.6
	* vms.c 1.9
	* volume.c 1.13
	  Cstyle

Thu Mar  4 22:47:39 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.64
	* mkisofs.h 1.93
	* mkisofs.c 1.147
	* mkisofs.8 1.100
	  Neue Optionen -root & -old-root von Patrik Ohly

Thu Mar  4 22:40:24 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.c 1.8
	  Korrektur fuer PREP/CHRP Erweiterung

Tue Mar  2 00:54:16 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fnmatch.h 1.4
	* exclude.h 1.3
	* diskmbr.h 1.2
	* defaults.h 1.16
	* bootinfo.h 1.3
	* apple.h 1.7
	* apple.c 1.19
	* ifo_read.h 1.2
	* ifo_types.h 1.2
	* iso9660.h 1.19
	* mac_label.h 1.3
	* mactypes.h 1.3
	* match.h 1.8
	  Cstyle

Tue Mar  2 00:50:27 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dvd_reader.h 1.2
	  Cstyle 

Mon Mar  1 12:05:40 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* vms.h 1.3
	* udf.h 1.2
	* udf_fs.h 1.2
	  Cstyle

Sun Feb 29 17:53:16 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.39
	  Eltorito Boot mit -d anzeigen
	  Extension Records fuer lange RR Namen korrekt anzeigen

Sun Feb 29 17:20:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.h 1.2
	* write.c 1.80
	* mkisofs.c 1.146
	* mkisofs.h 1.92
	* mac_label.c 1.7
	  CHRP Support von "Leigh Brown" <leigh@solinno.co.uk>

Sun Feb 29 16:49:18 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.42
	* multi.c 1.63
	  }; in Funktionen -> }

Sun Feb 29 16:43:37 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.62
	  Korrekte Behandlung von CE Extension Records fuer RR NM & fue rTime Stamps

Wed Feb 25 00:16:47 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.13
	  Support fuer rationalize_uid/rationalize_gid

Sun Feb 22 16:27:28 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.145
	  Version -> 2.01a26
	  Mb -> MB

Sun Feb 22 16:26:26 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.41
	  gen_xa_attr(mode_t attr) ANSI C Variante wegen aelteren UNIX Versionen mit mode_t == short

Sun Feb 22 16:25:09 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* boot.c 1.13
	  Total extents including sparc boot -> Total extents including %s boot

Sun Feb 22 16:13:43 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.18
	  cdr_defaults() wird nun fuer das SCSI dev= gerufen (/etc/default/cdrecord)

Wed Jan  7 00:23:46 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.144
	  Copyright -> 2004

Tue Jan  6 23:53:42 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.143
	  Version -> 2.01a24

Tue Jan  6 22:37:55 2004 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.77
	  Rock Ridge Laengenbehandlung in update_nlink()/increment_nlink() korrigiert (Bugfix)

Mon Dec 29 14:46:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.142
	* boot.c 1.12
	  Cstyle Anpassungen

Mon Dec 29 14:36:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* boot.c 1.11
	  Neue Optionen -sunx86-boot & -sunx86-label

Mon Dec 29 14:35:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.141
	  Version -> 2.01a22
	  Neue Optionen -sunx86-boot & -sunx86-label

Mon Dec 29 14:34:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.99
	  Neue Optionen -sunx86-boot & -sunx86-label
	  -sparc-label war vergessen - nun dokumentiert

Mon Dec 29 13:31:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.98
	  Kommentar zu SILO in den NOTES
	  Fehlende backslashes for diversen - Zeichen eingefuegt

Sun Dec 28 14:46:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sunlabel.h 1.5
	  Cstyle Aenderungen

Sun Dec 28 14:44:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sunlabel.h 1.4
	  Erweiterungen fuer Solaris x86 Disk Label und fdisk

Sun Dec 28 14:38:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.91
	  Cstyle Anpassungen

Sun Dec 28 14:37:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.90
	  make_sunx86_label()/scan_sunx86_boot()/sunx86_boot_label() neu

Sat Nov 29 23:58:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.140
	  #include <io.h> fuer setmode(fileno, OBINARY)
	  #include <io.h> auch fuer DJGPP

Sat Nov 29 23:11:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.139
	  Version -> 2.01a20
	  setmode(fileno, O_BINARY) auch fuer DJGPP

Sun Jul 13 15:42:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.79
	* mkisofs.h 1.89
	* mkisofs.c 1.138
	  secsize -> osecsize, Version -> 2.01a17

Fri Jul 11 11:42:32 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.97
	  Schreibfehler

Thu Jul 10 01:26:47 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.76
	  Bessere Meldung bei Stat Buffer Overflow

Sat Jun 21 14:28:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.137
	  Eltorito PVD muss vor direkt nach dem Primaeren PVD kommen -> also vor Enhanced PVD

Sat Jun 21 14:16:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.16
	  Wenn ein TAB nach einem Space im Sort File kommt, dann wird dieses genommen

Sat Jun 21 14:11:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.96
	  Schreibfehler und Formulierungen korrigiert

Sat Jun 21 14:10:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.27
	  Schreibfehler bei 'is not the an allowable size' beseitigt

Tue May  6 19:04:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.40
	  Fix fuer defekte CE Signaturen bei ../../../ in Symlinks

Wed Apr 30 01:19:33 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.136
	  no_rr nur dann automatisch setzen wenn keine XA Signaturen gefunden wurden

Wed Apr 30 01:18:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.61
	  find_rr() nun mit XA Flag

Wed Apr 30 01:15:59 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.88
	  Rock Ridge Defines neu

Tue Apr 29 21:22:52 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.78
	  Variable secsize neu, struct xa_subhdr neu

Tue Apr 29 21:20:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.87
	  Neue Variable secsize

Tue Apr 29 21:19:13 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.135
	  Neue Option -sectype

Tue Apr 29 01:39:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.134
	  -apple bedeutet nicht mehr -r

Tue Apr 29 01:17:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.75
	  insert_file_entry() erzeugt auch XA oder RockRidge Signaturen fuer rsrc Files

Tue Apr 29 01:06:32 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.77
	  Umbau von xfwrite() fuer XA subheader

Mon Apr 28 01:44:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.95
	  Hinwies, dasz -apple nicht mehr -R beinhaltet

Mon Apr 28 01:36:07 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.37
	* eltorito.c 1.26
	* boot.c 1.10
	* stream.c 1.2
	* udf.c 1.12
	* mkisofs.h 1.86
	  Umbau von xfwrite() fuer XA subheader

Mon Apr 28 01:06:38 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.18
	  XA Sektor Subheader Definitionen neu

Sun Apr 27 15:46:18 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.74
	* eltorito.c 1.25
	  generate_rock_ridge_attributes() -> generate_xa_rr_attributes(), if (use_RockRidge) -> if (use_XA || use_RockRidge)

Sun Apr 27 15:38:59 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.39
	  generate_rock_ridge_attributes() -> generate_xa_rr_attributes(), if (!use_RockRidge) goto xa_only;

Sun Apr 27 15:36:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.85
	  generate_rock_ridge_attributes() -> generate_xa_rr_attributes()

Sun Apr 27 15:35:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.133
	  Version -> 2.01a12

Sun Apr 27 14:09:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* TODO 1.6
	  13.4.2003 HFS > 2 GB

Tue Apr 15 18:47:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.76
	  CD-XA001 Signatur hinzufuegen

Sun Apr 13 19:05:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.38
	  Version -> 2.01a10
	  st_size ist unsigned bei ISO-9660, map auf Llong

Sun Apr 13 01:36:22 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.75
	* tree.c 1.73
	* mkisofs.h 1.84
	  Erster Versuch Files bis zu 4 GB zu unterstuetzen

Sun Apr 13 01:32:15 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* vms.h 1.2
	* vms.c 1.8
	  vms_write_one_file() mit off_t size

Fri Apr 11 19:19:24 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.38
	  gen_xa()/gen_xa_attr() neu

Thu Apr 10 15:38:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.17
	  Kommentar fuer XA Flags korrigiert

Thu Apr 10 15:37:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.132
	  Version -> 2.01a10, Optionen -XA/-xa neu, Schreibfehler bei -iso-level beseitigt

Thu Apr 10 15:36:03 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.83
	  use_XA neu

Thu Apr 10 15:34:30 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.74
	  Skip XA Record neu

Sat Apr  5 13:39:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.37
	  Usage Schreibfehler beseitigt

Fri Apr  4 23:42:02 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.27
	  conv_charset() bei -iso-level 4 fuer 8 Bit Zeichen

Fri Apr  4 23:41:05 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.37
	  statis -> LOCAL, unsigned char -> Uchar

Fri Apr  4 23:40:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ifo_read.c 1.4
	  Umbau um ANSI C Warnungen zu vermeiden

Sat Mar 29 13:01:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.11
	  Hinweis auf VIDEO_TS in joliet.c

Sat Mar 29 12:59:14 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.36
	* write.c 1.73
	  #ifdef __STDC__ -> PROTOTYPES, Eingerueckt nach cstyle

Sat Mar 29 12:43:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.60
	* rock.c 1.36
	  #ifdef __STDC__ -> PROTOTYPES

Thu Mar 27 00:19:50 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.35
	  Anpassungen fuer cstyle

Thu Mar 27 00:05:17 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.34
	  Bessere Debug Ausgaben fuer add_CE_entry & Bug Fix fuer Split Symplinks (2 Byte Offsetfehler)

Tue Mar 25 21:31:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bswap.h 1.2
	* mkisofs.h 1.82
	  Eingerueckt nach cstyle

Tue Mar 25 20:51:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.59
	  Eingerückt nach cstyle

Tue Mar 25 20:48:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.131
	  Version -> 2.01a07, Eingerueckt nach cstyle

Sun Mar  9 13:38:18 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt.c 1.6
	  FSF Junk Code (#define _NO_PROTO) beseitigt der #include strings.h verhinderte; stattdessen #define getopt __nothing_

Thu Mar  6 22:11:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt.h 1.3
	* fnmatch.h 1.3
	  mconfig.h statt (internem) protoyp.h

Thu Mar  6 22:03:51 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt.h 1.2
	* fnmatch.h 1.2
	  Umbau auf prototyp.h & PROTOTYPES statt __STDC__ damit Prototypen korrekt auch bei SCO Unixware gehen

Thu Mar  6 22:01:40 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dvd_reader.c 1.2
	  DVDOpenFile() mit Prototype implementierung wegen SCO cc (enum)

Sun Mar  2 17:33:16 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.72
	  strdup() -> libport

Sat Mar  1 21:19:56 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.15
	  #include match.h nach #include libport.h wegen MAX define in param.h bei Linux

Sat Mar  1 19:25:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.14
	  #includ <libport.h> fuer strdup()

Sat Mar  1 18:56:35 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.58
	  *nent -> *nentp & nent

Sat Mar  1 18:41:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.57
	  pnt->assoc schon direkt nach dem Einlesen der direcory zuweisen damit es zuverlaessig funktioniert

Sat Mar  1 13:00:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.36
	  Ausgabe der ISO-9660 directory flags

Sat Mar  1 12:54:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.16
	  Definitionen fuer XA attributes neu

Fri Feb 28 01:32:10 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.72
	* vms.c 1.7
	* mkisofs.c 1.130
	* mkisofs.h 1.81
	  strdup() -> libport.h

Fri Feb 28 01:23:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isodump.c 1.20
	* dump.c 1.17
	  Umbau auf ttydefs.h und Portabilitaet fuer alte UNIX Versionen ohne termio*

Sun Feb 23 19:34:23 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.71
	  LOCAL statt static & Umbau wegen cstyle

Sun Feb 23 14:25:55 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.56
	* mkisofs.h 1.80
	  Einige Funktionen in multi.c -> LOCAL, Eingerueckt nach cstyle

Sat Feb 22 21:57:34 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.35
	  sort_goof -> jsort_goof

Sun Feb 16 01:17:25 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple_driver.c 1.5
	  Unsinniger Parameter aus comerr() Aufruf beseitigt

Sat Feb 15 22:05:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.35
	  Bei -debug wird nun auch der root directory extent ausgegeben

Sat Feb 15 22:03:43 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.94
	  Padding neu beschrieben (150 Sektoren)

Sat Feb 15 22:00:28 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.71
	  Interpad rundet nur noch auf ein Vielfaches von 16 Sektoren auf

Sat Feb 15 21:50:27 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* stream.c 1.1
	  date and time created 03/02/15 21:50:27 by joerg

Sat Feb 15 21:01:49 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.79
	* mkisofs.c 1.129
	* udf.c 1.10
	* write.c 1.70
	  Umbau auf 150 Sektoren Padding am Ende des FS Images

Sat Feb 15 13:59:11 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.93
	* mkisofs.c 1.128
	  Neue Option -stream-media-size

Thu Feb 13 09:37:52 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.69
	  time_t begun -> EXTERN Freigeben fuer UDF & Stream.c

Thu Feb 13 09:34:41 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.78
	  Definitionen fuer stream.c

Thu Feb 13 09:33:19 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.9
	  Externe time_t begun aus write.c uebernehmen fuer: PDV, LVDESC, File Set Desc, Main Seq

Mon Feb 10 01:47:19 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.34
	  Eingerueckt nach cstyle

Sun Feb  9 21:49:45 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.8
	  Umformatier fuer cstyle

Fri Feb  7 11:15:06 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.127
	  Version -> 2.01a03, Graft-point nodename ist nun [2*PATH_MAX + 1 + 1] grosz

Tue Jan 28 01:28:37 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* isoinfo.c 1.33
	  Erkennung von ISO-9660:1999

Tue Jan 28 01:27:23 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.126
	  Version -> 2.01a02

Tue Jan 28 01:25:58 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.125
	  ISO-9660:1998 -> ISO-9660:1999, Schreibfehler bei -pad help beseitigt

Tue Jan 28 01:25:04 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.68
	  Bei ISO-9660:1999 ist der 2. VD ein ISO_VD_SUPPLEMENTARY (war vorher wie PVD)

Tue Jan 28 01:24:09 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.92
	* iso9660.h 1.15
	  ISO-9660:1998 -> ISO-9660:1999

Sun Jan 19 20:18:08 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.91
	  Warnung vor Suns Eltorito Patch bei -iso-level 4

Sun Jan 19 16:19:29 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.26
	  Bei relaxed Filenames wird '/' verboten.

Sun Jan 19 16:00:57 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.90
	* iso9660.h 1.14
	* mkisofs.h 1.77
	* rock.c 1.33
	* mkisofs.c 1.124
	* multi.c 1.55
	* write.c 1.67
	  Version -> 2.01a01, Erweiterungen fuer ISO-9660:1998

Sun Jan 19 15:55:18 2003 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.70
	  Bessere RR overflow Meldung

Wed Dec 25 15:16:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.25
	* files.c 1.11
	* multi.c 1.54
	  ctype.h nach schily.h wegen OpenBSD #define EOF Bug

Tue Dec 24 16:39:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.89
	* isoinfo.8 1.6
	  Version -> 2.0

Mon Dec 23 18:25:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dvd_file.c 1.2
	  Support fuer 0 Byte VIDEO_TS/VTS_xx_0.VOB Files

Mon Dec 16 22:37:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.88
	  Umbau auf Berlios & fhg.de

Sun Dec 15 02:03:20 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.66
	  DVD-Video Pad Ausgaben auch ohne DEBUG

Sat Dec 14 19:03:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ChangeLog 1.22
	  -> Version 2.0

Sat Dec 14 19:03:09 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* TODO 1.5
	  Hints for ISO 9660:1988

Thu Dec 12 01:25:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.65
	  Consistency check for DVD-Video Pad (<0)

Thu Dec 12 01:25:01 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ifo_read.c 1.3
	  open() with O_BINARY

Sat Dec  7 21:40:44 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.69
	  in #ifdef ABORT_DEEP_ISO_ONLY print a hint for -R/-r and -D

Sat Dec  7 21:14:50 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.7
	  write_udf_file_entries() now ignores de->de_flags & RELOCATED_DIRECTORY
	  and does not create a broken FS if RR_MOVED exists

Sat Dec  7 21:02:08 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.64
	* mkisofs.h 1.76
	* mkisofs.c 1.123
	  opnt->of_start_extent new for Constistency Check

Sat Dec  7 20:41:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.87
	  Better Documentation for -split-output

Sat Dec  7 19:37:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.122
	  Cast to int forr name_end-name (parameter in %.*s)

Sat Nov 30 17:10:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.121
	  Version -> 2.0

Sun Nov 24 12:54:45 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* TODO 1.4
	  Open Problems for time past 2.0

Sun Nov 24 01:17:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.6
	  Patch from Wei DING <ding@memory-tech.co.jp> for UDF Files > 1 GB

Fri Nov 22 17:32:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.68
	  Another attempt to fix mkisofs -f

Fri Nov 22 17:16:43 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.120
	  Disable Joliet for -dvd-video (because of Sort in joliet.c)
	  -s/-S Warning disabled until 2.1alpha

Fri Nov 22 17:15:34 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.34
	  Make VIDEO_TS.IFO 1st dir entry with -dvd-video

Sun Nov 17 15:42:19 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.119
	  Mark -s/-S as reserved options

Sat Nov  2 21:41:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.118
	  Version -> 1.15a40, Tags in ~/.mkisofsrc have '_' in HFS_*

Thu Oct 24 22:12:30 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.67
	  scan_directory_tree() with new Flag DIR_WAS_SCANNED to avoid double scan
	  scan_directory_tree() more stable by setting errno = 0 before readdir()
	  no_scandir = 1 commented out to make mkisofs -f not to omit dir content with symlinks to dies

Thu Oct 24 22:03:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.75
	  #define DIR_WAS_SCANNED new

Mon Oct 21 19:29:14 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.86
	* tree.c 1.66
	  Typo removed

Mon Oct 21 19:28:25 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.117
	  Typo efective -> effective uid

Sat Oct  5 00:38:01 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.63
	* volume.c 1.12
	* mkisofs.8 1.85
	* mkisofs.c 1.116
	* mkisofs.h 1.74
	  Version -> 1.15a36, New Option -hfs-parms for better HFS > 4 GB Support from James Pearson

Sat Oct  5 00:17:22 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.115
	  Version -> 1.15a35, Warning for -L/-P/-H Options in POSIX.1-2001

Tue Oct  1 01:13:40 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.62
	* volume.c 1.11
	* mkisofs.8 1.84
	* desktop.c 1.5
	  Patch from James for HSFS > 4 GB

Sat Sep 28 16:55:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.83
	* mkisofs.h 1.73
	* write.c 1.61
	* volume.c 1.10
	  Fix from James for 4 GB HFS Support

Tue Sep 24 15:41:27 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.60
	* volume.c 1.9
	  Patches from James to aboert on HFS volume size > 2 GB

Sun Sep  1 23:59:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.5
	  Make sure directories have execute permission in default permissions.

Sat Aug 10 23:33:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.114
	  UDF Filenames may be 255 chars if not using Joliet

Thu Aug  8 23:48:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.32
	* tree.c 1.65
	  Symlink buffer size -> PATH_MAX to avoid Overflow

Thu Aug  8 23:25:14 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ifo_read.c 1.2
	  Comment around Tag past #endif

Thu Aug  8 23:24:37 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.33
	* mkisofs.8 1.82
	* mkisofs.c 1.113
	* mkisofs.h 1.72
	  New Option -joliet-long

Sun Jul 28 01:29:19 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.71
	  Tag past #endif now as comment

Sun Jul 28 01:28:29 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.59
	  Defect Debug printf() with newline in String fixed

Sun Jul 21 17:36:20 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.81
	  -dvd-video Option new

Sun Jul 21 17:00:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.32
	* write.c 1.58
	* mkisofs.h 1.70
	  Pathtable now works wth more than 65535 Dires if all Parent indices are <= 65535 

Sun Jul 21 16:42:36 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dvd_reader.c 1.1
	  date and time created 02/07/21 15:42:36 by joerg

Sun Jul 21 16:40:43 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ifo_read.c 1.1
	  date and time created 02/07/21 15:40:43 by joerg

Sun Jul 21 16:23:35 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.18
	* multi.c 1.53
	  malloc() -> e_malloc()

Sun Jul 21 15:51:54 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dvd_file.c 1.1
	  date and time created 02/07/21 14:51:54 by joerg

Sun Jul 21 15:18:47 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* dvd_file.h 1.1
	  date and time created 02/07/21 14:18:47 by joerg

Sun Jul 21 15:16:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.57
	  Support for DVD-Video -dvd-video

Sun Jul 21 14:59:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.112
	* multi.c 1.52
	* tree.c 1.64
	* files.c 1.10
	  1024 -> PATH_MAX

Sun Jul 21 14:21:02 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.31
	  Hack against wrong GCC warning

Sat Jul 20 17:57:49 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.17
	  Function perr() now uses comerr()

Sat Jul 20 17:54:57 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ifo_types.h 1.1
	* dvd_reader.h 1.1
	  date and time created 02/07/20 16:54:57 by joerg

Sat Jul 20 17:54:56 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ifo_read.h 1.1
	  date and time created 02/07/20 16:54:56 by joerg

Sat Jul 20 17:37:32 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.69
	  Enhancements for DVD-Video -dvd-video

Sat Jul 20 17:28:10 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bswap.h 1.1
	  date and time created 02/07/20 16:28:10 by joerg

Sat Jul 20 01:17:52 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.4
	  DVD-Video comment new

Sat Jul 20 01:15:19 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.111
	  Version -> 1.15a27, Option -dvd-video new

Sat Jul 20 01:13:31 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.63
	  Sort Video Files only with -dvd-video

Tue Jul 16 21:32:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.62
	* mkisofs.c 1.110
	* mactypes.h 1.2
	* mkisofs.8 1.80
	* apple.h 1.6
	* apple.c 1.16
	  Support for Apple files on MacOS X

Thu Jul  4 12:31:42 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.109
	  Version -> 1.15a25, verbose > 1 writes debug info for output fragments.

Thu May 30 01:48:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.3
	* write.c 1.56
	* joliet.c 1.31
	* eltorito.c 1.24
	* boot.c 1.9
	* mkisofs.h 1.68
	  of_name in struct output_fragment new

Mon May 20 13:58:11 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.c 1.6
	  ISO_ROUND_UP(mac_boot->size) / SECTOR_SIZE -> ISO_BLOCKS(mac_boot->size)

Mon May 20 13:55:53 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.55
	  Unused Var in graftcp() removed

Mon May 20 13:51:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.67
	  HFS_BLOCKS() new

Tue May 14 21:13:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.54
	  graftcp() Bug fixed (simple Filenames as Arg not shortened)

Mon May 13 00:45:28 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf.c 1.2
	  Now using ISO_ROUND_UP()/ISO_BLOCKS()/SEC_SIZE

Mon May 13 00:40:04 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.53
	* joliet.c 1.30
	  Now using ISO_ROUND_UP()/ISO_BLOCKS()

Mon May 13 00:24:43 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.51
	  Now using ISO_ROUND_UP()

Mon May 13 00:22:40 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.108
	  Version -> 1.15a23, Now using ISO_ROUND_UP()/ISO_BLOCKS()

Mon May 13 00:08:55 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.23
	  Now using ISO_BLOCKS()

Sun May 12 14:42:18 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.66
	  Comment for ISO_ROUND_UP(X)/ISO_BLOCKS(X)

Sun May 12 14:10:20 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.61
	  Function filetype() better

Sun May 12 00:32:18 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.65
	  ISO_BLOCKS() new

Sat May  4 15:31:00 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.50
	  file_addr now based on sectors not on bytes to avoid overflow with DVDs

Fri May  3 01:17:51 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.24
	* mkisofs.c 1.107
	  -no-iso-translate now also using '-'

Sun Apr 28 14:50:15 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.79
	  Remove outdated hint that at least one "pathspec" is needed
	  (even for File from list List)

Sun Apr 28 14:48:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.106
	  Version -> 1.15a22, susage() Bugfix (program_name missing)

Tue Apr 16 19:19:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.22
	  make boot.catalog sortable via -sort

Sun Apr 14 22:53:26 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.52
	* mkisofs.h 1.64
	* mkisofs.c 1.105
	  Avoid to put unwanted information into the version info

Thu Apr 11 23:53:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.104
	  Support for xxx/../yyy in graft-points

Thu Apr 11 19:27:13 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.60
	* mkisofs.c 1.103
	  Fix -graft-points /a/b//.///=some_dir bug (doubled / Dir), Version -> 1.15a21

Thu Apr 11 18:55:48 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.78
	  UTF comment corrected

Thu Apr 11 18:55:23 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.63
	  debug new

Wed Apr  3 19:47:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.102
	  Version -> 1.15a20

Wed Apr  3 19:42:41 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.101
	  Corrected file type recognition for graft points

Wed Apr  3 19:00:32 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.30
	* mkisofs.c 1.100
	* mkisofs.8 1.77
	  Transparent compression (-z) from H.P. Anvin integrated

Wed Apr  3 18:12:07 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.99
	  escstrcpy() corrected for multiple '//', new option -debug

Tue Apr  2 00:57:38 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.98
	  short usage added

Fri Mar  8 16:44:37 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.76
	  Hint for multisession on MAC -> -part

Fri Mar  8 16:43:46 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.c 1.5
	  Mac Label mpm[mpc].start = session_start + ... -> mpm[mpc].start = hce->hfs_map_size ...

Tue Feb 26 22:39:16 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* boot.c 1.8
	  Support generic boot for CD-extra (session_start != 0 Dreamcast)

Sun Feb 10 20:18:32 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hash.c 1.15
	  use Prototyped function definition if we have dev_t arg because it may be < int

Sun Feb 10 16:13:16 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fnmatch.c 1.4
	  Now using utypes.h, >=/<= compare with Uchar cast

Sun Feb 10 15:56:51 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.15
	  cast info->nlen to int for comparison

Sat Feb  9 22:21:33 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.14
	  strcmp() -> memcmp() for sfm_magic/sfm_version

Fri Jan 18 12:48:35 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.75
	   Write correct size info (1440 kB instead of 1.44 meg) for boot floppy sizes, correct .R typo (used instead of .B) at -magic

Fri Jan 18 12:47:51 2002 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.21
	  Write correct size info (1440 kB instead of 1.44 meg) for boot floppy sizes

Mon Dec 10 01:05:06 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.74
	  -udf option documented

Mon Dec 10 01:04:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt.c 1.5
	  prototype for my_index()

Sun Nov 25 12:53:17 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.73
	  long unreadable option list removed from sysnopsis line

Thu Nov 22 22:34:18 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.97
	  Version -> 1.15a12

Thu Nov 22 22:24:38 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* udf_fs.h 1.1
	* udf.c 1.1
	* udf.h 1.1
	  date and time created 01/11/22 22:24:38 by joerg

Thu Nov 22 16:42:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.10
	* Makefile 1.10
	* mkisofs.c 1.96
	* mkisofs.h 1.62
	  Enhancements for UDF support

Thu Nov 22 16:41:13 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.59
	  add sort criteria for UDF VIDEO_TS and AUDIO_TS files.

Thu Nov 22 16:40:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.29
	  make convert_to_unicode()/joliet_strlen() global if UDF support is compiled in

Thu Nov 22 15:24:44 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.72
	  better documentation for README.sort/README.hide from James Pearson

Thu Nov 22 00:42:31 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.51
	  compare_sort() now behaves correctly if the parameters are exchanged so qsort() may sort correctly

Tue Nov 20 00:55:44 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.71
	  better documentation for -print-size, use \& if '.' is at beginning of line

Tue Nov 20 00:54:35 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.50
	  avoid #if defined(sun) || defined(_AUX_SOURCE), better error messages

Fri Nov 16 18:15:42 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* desktop.c 1.4
	  nitialize the whole struct hfsdirent in make_desktop()

Sun Nov 11 20:38:20 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.h 1.5
	  d_dtoutime() Prototype new

Sun Nov 11 20:28:56 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.h 1.4
	* apple.c 1.13
	  Preserves HFS file dates for AppleDouble, AppleSingle and NetaTalk files

Sun Nov 11 13:38:45 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.29
	  QNX Neutrino has no st_ftime

Sun Oct 21 01:01:23 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt.c 1.4
	  Try to compensate FSF rubish code and supress warnings by always including standard include files

Sun Oct 21 01:00:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.95
	  Always use local getopt.h, version -> 1.15a09

Tue Oct  9 01:27:16 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.61
	  sys/types.h & sys/stat.h -> statdefs.h

Thu May 31 10:56:32 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.70
	  -split-output description new, -hard-disk-boot/-no-emul-boot/-no-boot hint added to -b

Sun Apr 22 11:34:46 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.94
	  Comment for memset() in e_malloc()

Fri Apr 20 23:53:40 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ChangeLog 1.21
	  Late changes for 1.14

Fri Apr 20 18:46:36 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.49
	  Initalize more data from struct directory_record

Fri Apr 20 18:45:47 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.93
	  Always clear allocated memory to avoid uninitialized data.

Tue Apr 17 00:57:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.69
	  Hint to mailman

Fri Apr 13 23:31:42 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ChangeLog 1.20
	  updated to release 1.14

Fri Apr 13 20:42:30 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.92
	  Version -> 1.14 final

Fri Apr 13 20:12:50 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.68
	  New Support mail Adresses

Thu Apr 12 19:36:39 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.91
	  make insert_file_entry() failure non fatal in mkisofs main code

Sat Apr  7 17:31:44 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.48
	  starting to implement associated files in multi-session

Sat Apr  7 14:47:49 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.58
	* mkisofs.c 1.90
	  No exit() for warnings

Tue Apr  3 23:33:26 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.9
	* defaults.h 1.15
	  APPID_DEFAULT now includes Copyright messages

Mon Apr  2 23:17:05 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.47
	  unused vars removed

Mon Apr  2 20:09:22 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.89
	  Fixed -check-session handling for -C0,0 default, Search for SUSP RR record in '.' of root

Mon Apr  2 20:05:48 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.67
	  New option -force-rr

Mon Apr  2 20:05:25 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.46
	  rr_flags()/parse_rrflags()/find_rr() new, get_session_start() handling for -check-session fixed

Mon Apr  2 20:04:34 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.60
	  rr_flags()/parse_rrflags()/find_rr() new

Sun Apr  1 21:51:43 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.66
	  -check-session new

Sun Apr  1 21:51:11 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.88
	  Parameter for -check-session added to usage

Sun Apr  1 21:49:56 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.59
	  -check-session neu

Sun Apr  1 19:13:37 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.87
	* multi.c 1.45
	  Need to handle -C (cdrecord_data) special if -check-session is set

Sun Apr  1 17:46:59 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.23
	  Back up to last '.' found if trying to find a better '.' did not work

Sun Apr  1 17:45:17 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.86
	  New option -check-session

Tue Mar 20 01:09:27 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.8
	* mkisofs.h 1.58
	* mkisofs.c 1.85
	* mkisofs.8 1.65
	  New options for writable HFS files from James Pearson

Sun Mar  4 15:13:00 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.64
	  Better documentation for -no-cache-inodes

Sun Mar  4 00:53:59 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.84
	  Fix a bug with '-- filename'

Sun Mar  4 00:52:29 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.63
	* hash.c 1.14
	* mkisofs.h 1.57
	* mkisofs.c 1.83
	  new options -no-cache-inodes/-cache-inodes as a workaround for non unique inodes on Cygwin

Fri Feb 23 21:58:52 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.62
	  Einfo for RR_MOVED dir added

Fri Feb 23 17:33:54 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.12
	  set_Dinfo(hfs_info->finderinfo, hfs_ent); -> set_Finfo(hfs_info->finderinfo, hfs_ent); according to James Pearson to make --xinet option work

Thu Feb 15 23:04:00 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.49
	  output_fraagment now copied to allocated space to allow a desc to be used more than once

Thu Feb 15 23:02:53 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.82
	  version -> 1.14a14

Thu Jan 25 23:28:32 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.8
	* eltorito.c 1.20
	* apple.c 1.11
	* mkisofs.h 1.56
	* tree.c 1.57
	* write.c 1.48
	  changes to support large files

Tue Jan 23 13:27:44 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.56
	* mkisofs.c 1.81
	* mkisofs.h 1.55
	* write.c 1.47
	* apple.c 1.10
	* rock.c 1.28
	* eltorito.c 1.19
	* joliet.c 1.28
	  Avoid gcc -W warnings (e.g. signed/unsigned)

Sat Jan 20 23:17:37 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.46
	* mkisofs.8 1.61
	* mkisofs.c 1.80
	  -quiet make mkisofs really quiet

Sat Jan 20 23:03:26 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.79
	  Modified to allow EBCDIC

Sat Jan 20 22:46:10 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.60
	* mkisofs.h 1.54
	* mkisofs.c 1.78
	* rock.c 1.27
	* joliet.c 1.27
	* apple.c 1.9
	  Better charset tables for Apple

Fri Jan 19 19:26:19 2001 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.55
	* mkisofs.c 1.77
	* mkisofs.8 1.59
	* mkisofs.h 1.53
	  better rationalized uid/gid/modes

Sat Dec  9 19:55:17 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.8
	  u_short -> Ushort, u_int -> Uint

Sat Dec  9 19:36:48 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.26
	  u_char -> Uchar

Tue Dec  5 15:25:02 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.7
	* write.c 1.45
	* vms.c 1.6
	* tree.c 1.54
	* rock.c 1.26
	* name.c 1.22
	* multi.c 1.44
	* mkisofs.h 1.52
	* mkisofs.c 1.76
	* match.c 1.13
	* match.h 1.7
	* mac_label.c 1.4
	* joliet.c 1.25
	* hash.c 1.13
	* files.c 1.9
	* exclude.c 1.8
	* eltorito.c 1.18
	* desktop.c 1.3
	* apple_driver.c 1.4
	* boot.c 1.7
	* apple.c 1.7
	  Completed conversion to Schily SING autoconfiguration

Mon Dec  4 12:56:49 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.51
	  Now first includes mconfig.h then stdio.h (for largefiles), now uses strdefs.h, standard.h for const abstraction, stdxlib.h instead of stdlib.h

Mon Dec  4 12:53:32 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.43
	* scsi.c 1.17
	  lseek now using SEEK_* macros

Mon Dec  4 12:53:11 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.c 1.3
	* apple_driver.c 1.3
	* apple.c 1.6
	  fseek now using SEEK_* macros

Fri Dec  1 14:14:23 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.42
	  Now working without scg_prbytes() from libscg

Fri Nov 24 10:49:58 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.75
	  -print-size now also prints an easy to parse string to stdout

Fri Nov 24 10:49:29 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.58
	   New -print-size behavior documented

Sun Nov 19 16:34:56 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.74
	  New option -no-pad, -pad now default, support for Cygwin-1.x

Sun Nov 19 16:33:13 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.7
	  Umbau fuer mkhybrid

Sun Nov 19 16:32:40 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile.man 1.3
	  INSMODE= beseitigt

Sun Nov 19 13:03:18 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.21
	  Special handling for '#' and '~' disabled because the code created infinite dir tree loops

Sat Nov  4 17:59:36 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.57
	  New option -no-pad, -pad now default

Sat Oct 14 15:33:50 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.56
	  hint for CD-Extra usage (-M/-C), note for -graft-points option in examples that need -graft-points

Fri Sep  8 02:49:31 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.16
	  Call to scg_remote()

Fri Sep  8 02:49:00 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.73
	  Warning for using Joliet without Rock Ridge

Fri Aug 25 15:31:13 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.12
	* mkisofs.c 1.72
	  new-line discarded only if really present

Mon Aug 14 01:36:38 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.71
	  Graft-points repariert fuer esacped =

Sun Jul 30 14:08:38 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.41
	* scsi.c 1.15
	  Modified for new libscg with scg_*()

Thu Jul 20 19:29:19 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.70
	  Version -> 1.13

Thu Jul 20 19:27:54 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.c 1.2
	  Size arithmetic fix for HFS vol size

Thu Jul 20 19:27:12 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.55
	  Small typo fixes

Tue Jun 27 19:12:02 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.69
	* mkisofs.8 1.54
	  New option -graft-points

Tue Jun 27 01:38:35 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.68
	  1.13a02 -> 1.13a03

Tue Jun 27 01:31:27 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.67
	  allow -path-list option to work without a command line arg, graft pointer escapes haf way ready

Tue Jun 27 01:20:27 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.11
	  better parser for -sort option, avoid buffer overflows by not using fscanf

Tue Jun 27 01:18:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.53
	  Better doc for -sort option

Mon Jun 26 23:50:33 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple_driver.c 1.2
	  Converted for Schily SING makefile system, made portable

Mon Jun  5 03:19:54 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.44
	  percent output now even works with NO_FLOATINGPOINT

Sat Jun  3 14:24:26 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.43
	  buffer[] -> static in write_one_file() for sake of the silly  Metrowerks C found on BeOS/PPC

Sun May 28 17:41:40 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.66
	  version -> 1.13a02

Sun May 28 17:03:48 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.17
	* mkisofs.8 1.52
	* mkisofs.h 1.50
	* mkisofs.c 1.65
	  New option -eltorito-alt-boot

Sun May 28 16:28:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.51
	  Integration of mkisofs/mkhybrid to one single application

Sun May 28 13:21:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.40
	  Check for reloc_dir != NULL in match_cl_re_entries() 

Sun May  7 17:23:57 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.10
	* scsi.c 1.14
	* boot.c 1.6
	* eltorito.c 1.16
	* name.c 1.20
	* joliet.c 1.24
	* multi.c 1.39
	* rock.c 1.25
	* hash.c 1.12
	* write.c 1.42
	* tree.c 1.53
	* mkisofs.c 1.64
	  #include <schily.h>

Sun May  7 17:14:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.63
	  Release -> 1.13a01, removed comment for associated files as it has been wrong

Thu Apr 27 14:11:30 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* RELEASE 1.31
	  Release 1.12.1

Thu Apr 27 14:06:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.50
	  New Opton -root-info, typo's corrected

Thu Apr 27 13:54:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.5
	  cast for correct char * / unsigned char * handling

Thu Apr 27 13:36:25 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.6
	* apple.h 1.3
	* desktop.c 1.2
	* apple.c 1.4
	  Major changes to implement new HFS option -root-info and -jcharset mac-roman

Thu Apr 27 12:47:26 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.6
	  New file place sorting option activated with -DSORTING

Thu Apr 27 12:46:35 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* ChangeLog 1.19
	  updated to release 1.12.1

**************** Release 1.12.1 *******************

Thu Apr 27 12:44:54 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.52
	* rock.c 1.24
	* mkisofs.h 1.49
	* mkisofs.c 1.62
	  New HFS option -root-info

Fri Apr 21 22:11:17 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.41
	  better double conversion for estimation time computation

Fri Apr 21 22:04:56 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.19
	  Name trucation warning removed because it does not work.

Fri Apr 21 18:37:36 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.18
	* mkisofs.h 1.48
	* mkisofs.c 1.61
	* mkisofs.8 1.49
	  -max-iso0660-filenames

Fri Apr 21 18:09:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.51
	  Creating unique filenames now works even if we are creating 37 char names

Thu Apr 20 22:14:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.50
	  Make TRANS.TBL wider to allow 37 char iso names, avoid hard coded values

Thu Apr 20 21:44:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.38
	  Parsing of TRANS.TBL now adaptive instead of using hard coded numbers

Wed Apr 19 23:59:22 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.49
	* multi.c 1.37
	* iso9660.h 1.13
	  MAX_ISONAME fom 38 -> 37

Tue Apr 18 16:22:56 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.5
	  Use HFS_FNDR_ISINVISIBLE for dirs too

Tue Apr 18 16:20:03 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.17
	* tree.c 1.48
	* multi.c 1.36
	* mkisofs.h 1.47
	* mkisofs.c 1.60
	* mkisofs.8 1.48
	  Removed Option -all-files, New options -iso-level, -allow-lowercase, -allow-multidot, -relaxed-filenames, -use-fileversion, name.c completely rewritten

Sun Apr 16 16:30:40 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.47
	* name.c 1.16
	* mkisofs.h 1.46
	* mkisofs.c 1.59
	  New Option -no-iso-translate

Sun Apr 16 16:26:37 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.46
	  New Options -sort & -ucs-level

Sun Apr 16 15:24:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.14
	* mkisofs.h 1.45
	* multi.c 1.35
	  Copyright Schilling added

Sun Apr 16 15:22:32 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.12
	  struct iso_ext_attr_record new

Sun Apr 16 14:47:53 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.23
	* mkisofs.h 1.44
	* mkisofs.c 1.58
	  New Option -ucs-level

Sun Apr 16 14:12:24 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.43
	* mkisofs.c 1.57
	* tree.c 1.47
	* hash.c 1.11
	* write.c 1.40
	  New sort code from James Pearson

Sun Apr 16 13:39:46 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.h 1.6
	* match.c 1.9
	  Converted to unified match code, new sort match code

Sat Apr 15 21:59:15 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.4
	  Apply ISO Hidden flag to files on HFS volume too

Sat Apr 15 20:57:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.15
	  Handle '.' and '..' entries corretly in iso9660_check()

Wed Apr 12 23:56:56 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.45
	  New option -check-oldnames

Wed Apr 12 23:44:18 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.3
	  strcasecmp() local implementation

Wed Apr 12 23:24:10 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.5
	  HFILES added to get better ctags

Wed Apr 12 23:23:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.34
	* name.c 1.14
	* mkisofs.h 1.42
	* mkisofs.c 1.56
	  New Option -check-oldnames, new function iso9660_check() to check/repair filenames from old session, better error messages for bad RR attributes, avoid coredump with calling memset with negative count.

Tue Apr 11 10:50:04 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.11
	* tree.c 1.46
	  iso_directory_record now uses MAX_ISONAME (38) old was 34

Sun Apr  9 22:04:42 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.33
	  Better error messages for bad XA disks.

Sun Apr  9 17:06:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.55
	  Version -> 1.12.1a06, corrected help for -l (30 chars!)

Sun Apr  9 17:05:47 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.45
	  Put number to make names unique before the dot to retain the suffix

Sun Apr  9 14:28:01 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.44
	  some more curly brackets....

Sat Apr  8 23:51:20 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.54
	  removed duplicate OPTION_H_LIST

Sat Apr  8 23:44:43 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.44
	* tree.c 1.43
	* mkisofs.c 1.53
	* match.c 1.8
	* mkisofs.h 1.41
	* match.h 1.5
	  New option -hidden & -hidden-list to implement hidden (ISO existence flag) files

Sat Apr  8 23:32:45 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.43
	  better padding documentation (-pad)

Sat Apr  8 20:55:49 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.42
	  added description for mkhybrid

Sat Apr  8 20:50:47 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.41
	  add \ before some - signs and mark some mkisofs places with \& to prevent repleacement with sed script

Sat Apr  8 19:40:05 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.40
	  typo correction and preparation towards unified manual (mkisofs/mkhybrid)

Sat Apr  8 16:05:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.3
	* write.c 1.39
	* tree.c 1.42
	* multi.c 1.32
	* joliet.c 1.22
	* eltorito.c 1.15
	* iso9660.h 1.10
	* mkisofs.h 1.40
	  Now using iso directory flag definition from iso9660.h

Mon Apr  3 23:59:05 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.31
	  Minor clean up, Message about XA records

Mon Apr  3 23:40:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.39
	* match.c 1.7
	* exclude.c 1.7
	  indented

Mon Apr  3 21:06:04 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.14
	  insert_boot_cat() prototype

Mon Apr  3 02:22:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.41
	* write.c 1.38
	* mkisofs.c 1.52
	* rock.c 1.23
	* name.c 1.13
	* joliet.c 1.21
	* hash.c 1.10
	* files.c 1.8
	* eltorito.c 1.13
	* vms.c 1.4
	  indented

Mon Apr  3 00:38:28 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.40
	* multi.c 1.30
	  parse_xa() new to skip XA extended directory attributes

Sun Apr  2 22:24:43 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.38
	* write.c 1.37
	  version_desc new

Sun Apr  2 21:15:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.51
	  version desc new

Sun Apr  2 20:28:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* vms.c 1.5
	  eric -> joerg

Sun Apr  2 19:10:28 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.9
	  struct iso_xa_dir_record new

Sun Apr  2 19:01:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.20
	  stdlib.h -> stdxlib.h, rtmp, ltmp (short -> char[2]) for correct byteorder handling

Sun Apr  2 18:14:35 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* files.c 1.7
	  Typo correction

Sat Apr  1 22:29:29 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.8
	  Indented

Fri Mar 31 18:50:41 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.2
	  New function set_cusstom_icon()

Fri Mar 31 18:48:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.h 1.2
	* apple.c 1.2
	  sys/param.h removed, MAXPATHLEN -> PATH_MAX for portability

Fri Mar 31 18:44:31 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.19
	  Now sort joliet tree according to Unicode order

Fri Mar 31 18:38:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.39
	* write.c 1.36
	* mkisofs.h 1.37
	* mkisofs.c 1.50
	  New option -pad

Fri Mar 31 12:59:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.38
	  -jcharset implies -J

Fri Mar 31 12:55:30 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.49
	  hfs_ct var new, -hfs-creator typo in option parsing fixed

Thu Mar 30 02:47:14 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.48
	  1.8.1a04 -> 1.8.1a05, -icon-position option needs no argument, -jcharset now implies -J

Thu Mar 30 02:43:18 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.36
	  #include limits.h for NAME_MAX, PATH_MAX definition new

Wed Mar 29 10:33:45 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c.bak 1.1
	  date and time created 00/03/29 09:33:45 by joerg

Sun Mar 26 18:44:46 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.37
	  Better doc for -jcharset

Sun Mar 26 18:40:23 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.47
	  Unicode mapping now defaults to iso8859-1 resp. cp437

Sun Mar 26 18:31:24 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.46
	* defaults.h 1.13
	  defined(__CYGWIN__) added for Cygwin recognition

Sat Mar 25 17:10:43 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.36
	* joliet.c 1.18
	* Makefile 1.4
	* mkisofs.c 1.45
	  Joliet character translation using different character sets (-jcharset)

Sun Mar 19 20:08:24 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* boot.c 1.5
	  -B ... zum Duplizieren der letzten Partition bis zum Ende der Partitions Map

Sun Mar 19 20:02:40 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.35
	  New usage for -B option: ... means replicate previous boot partition

Sun Mar 19 19:19:46 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.12
	  Mac OS X definition new

Sun Mar 19 16:46:31 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.39
	* multi.c 1.29
	* mkisofs.c 1.44
	* mkisofs.h 1.35
	  RR deep directory relocation fixes for multi-session from: "Artem Hodyush" <artem@duma.gov.ru>

Sun Mar 19 16:15:54 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.28
	  made conform to schily programming rules

Sun Mar 19 16:02:46 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.27
	  indented

Sat Mar 18 23:59:42 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* README.eltorito 1.2
	  typo corrected

Sat Mar 18 22:43:10 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.43
	* tree.c 1.38
	  added code for APPLE_HYBRID

Sat Mar 18 19:39:14 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.34
	  removed superfluous spaces

Sat Mar 18 19:24:34 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.h 1.1
	  date and time created 00/03/18 19:24:34 by joerg

Sat Mar 18 19:24:13 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.h 1.1
	  date and time created 00/03/18 19:24:13 by joerg

Sat Mar 18 19:23:54 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mactypes.h 1.1
	  date and time created 00/03/18 19:23:54 by joerg

Sat Mar 18 19:18:36 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* desktop.c 1.1
	  date and time created 00/03/18 19:18:36 by joerg

Sat Mar 18 19:18:09 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mac_label.c 1.1
	  date and time created 00/03/18 19:18:09 by joerg

Sat Mar 18 19:16:33 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* volume.c 1.1
	  date and time created 00/03/18 19:16:33 by joerg

Sat Mar 18 17:56:59 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* apple.c 1.1
	  date and time created 00/03/18 17:56:59 by joerg

Sat Mar 18 13:52:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.35
	* mkisofs.h 1.34
	  added code for APPLE_HYBRID, ROUND_UP() -> ISO_ROUND_UP()

Sat Mar 18 13:44:25 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.11
	  Use better recognition code for Rhapsody

Sat Mar 18 13:41:24 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.17
	  ROUND_UP() -> ISO_ROUND_UP()

Sat Mar 18 13:02:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* boot.c 1.4
	  2048 -> SECTOR_SIZE

Sat Mar 18 13:00:02 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.12
	  csum_buffer[2048] -> csum_buffer[SECTOR_SIZE]

Sun Mar 12 20:50:51 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.16
	* rock.c 1.22
	  added code for APPLE_HYBRID

Sat Mar 11 14:00:40 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.6
	  added match code for APPLE_HYBRID, better error messages

Sat Mar 11 13:38:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hash.c 1.9
	  New function flush_hash() for APPLE_HYBRID

Sat Mar 11 13:21:13 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.h 1.4
	  Added definitions for APPLE_HYBRID

Sat Mar 11 13:19:07 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.10
	  Defaults for HFS (mkhybrid), SYSTEM_ID_DEAULT for Rhapsody

Sun Mar  5 18:08:30 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.15
	  Always sort root dir to be first in path table

Sun Mar  5 14:28:41 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.33
	  correction for boot.catalog description, -table-name documented

Sun Mar  5 14:27:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.12
	  replace forgotten but illegal chars by '_'

Sat Mar  4 16:33:38 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.42
	  close_merge_image() call from multi.c, do not close merge image a second time

Sat Mar  4 16:32:32 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.33
	* multi.c 1.26
	  new function clode_merge_image(), close_merge_image() -> mkisofs.c

Thu Feb 17 00:10:46 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sunlabel.h 1.3
	* boot.c 1.3
	  splitted into boot.c and sunlabel.h

Wed Feb 16 17:55:06 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt.c 1.3
	  Prototypes for exchange() & _getopt_initialize()

Wed Feb 16 17:08:57 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.32
	  prototype for scsidev_close()

Wed Feb 16 17:08:36 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.25
	  merge_previous_session() now calls scsidev_close() to allow mkisofs | cdrecord with multi session

Mon Feb 14 15:58:26 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bootinfo.h 1.2
	  comment added

Thu Feb 10 01:10:21 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.13
	  scsidev_close() neu

**************** Release 1.12 *******************

Mon Jan 17 23:53:16 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* RELEASE 1.30
	* mkisofs.c 1.41
	* mkisofs.8 1.32
	  Release 1.12

Fri Jan 14 02:26:40 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.31
	  -no-rr new, Bugs section

Wed Jan 12 16:19:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* README.graft_dirs 1.1
	  date and time created 00/01/12 16:19:55 by joerg

Tue Jan 11 13:17:32 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.14
	  allow odd to buffer sizes when converting to unicode

Mon Jan 10 23:17:25 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.37
	* rock.c 1.21
	  now using device.h

Mon Jan 10 02:26:07 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.40
	  -no-rr new

Mon Jan 10 01:45:07 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.24
	* mkisofs.h 1.31
	  no_rr new

Sat Jan  8 23:42:24 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.12
	  scsi_read() beachtet nun is_atapi damit mkisofs auch mit ATAPI multi-session kann

Fri Jan  7 20:51:10 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.36
	  print file typee, better error messages, no_scandir added

Fri Jan  7 20:42:00 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.20
	* exclude.c 1.6
	  better error messages

Fri Jan  7 20:41:04 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.39
	  new -U flag, -F flag removed, new list match code

Fri Jan  7 20:32:22 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.5
	  new list match code

Fri Jan  7 19:26:08 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.30
	  new hide options, -F removed -U new

Fri Jan  7 18:58:12 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.34
	  make TRANS.TBL a variable, gui code gives faster verbose message

Fri Jan  7 18:55:19 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.23
	  make TRANS.TML name a variable

Fri Jan  7 18:52:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.30
	  -U new, new match list code

Fri Jan  7 18:07:38 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.h 1.3
	  new match list code

Wed Jan  5 20:06:55 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.11
	  -U flag new

Sun Jan  2 00:37:28 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.38
	  Version js-a38

Sat Jan  1 23:05:28 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.33
	  using offsetof() to get around odd structure length, better error messages

Sat Jan  1 23:03:42 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.13
	* multi.c 1.22
	* tree.c 1.35
	  using offsetof() to get around odd structure length

Sat Jan  1 20:31:59 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.7
	  Note for odd length added

Sat Jan  1 20:31:53 2000 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.29
	  offsetof() macro new

Wed Dec 29 14:38:31 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.29
	* mkisofs.h 1.28
	* mkisofs.c 1.37
	  New options -hide-rr-moved & -hide-joliet-trans-tbl

Wed Dec 29 14:21:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.34
	  New options -hide-rr-moved & -hide-joliet-trans-tbl, better error messages

Tue Dec 28 18:23:43 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.21
	  better error messages, free more structures, check for bad RR Version, fix direactory handling code for graft pointers

Tue Dec 28 16:32:00 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt.c 1.2
	  fixed uninitialized variable

Tue Dec 28 15:12:05 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hash.c 1.8
	* files.c 1.6
	* write.c 1.32
	  better error messages

Tue Dec 28 15:07:29 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.11
	  better error messages, make boot file/ boot catalog hidable

Tue Dec 28 14:21:26 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.12
	  Error message made different from others

Mon Dec 27 15:34:43 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.6
	  indented

Mon Dec 20 00:14:20 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.33
	  config.h must be first, boot catalog becomes MEMORY FILE

Sun Dec 19 22:31:42 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.36
	  hard disk boot, no emulation boot

Sun Dec 19 21:29:59 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.10
	  better autoconf, hd boot, no emulation boot, boot catalog as memory file

Sun Dec 19 21:06:46 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.10
	  fix with file priority

Sun Dec 19 21:01:37 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.27
	  hard disk boot/ no emulation boot new, MEMORY FILE new

Sun Dec 19 20:58:32 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.31
	  config.h must be first get_731()/get_732() new

Sun Dec 19 20:57:02 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.19
	* multi.c 1.20
	  config.h must be first

Sun Dec 19 20:55:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* hash.c 1.7
	  include stdlib.h past config.h

Sun Dec 19 20:33:49 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* diskmbr.h 1.1
	  date and time created 99/12/19 20:33:49 by joerg

Sun Dec 19 19:54:43 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* iso9660.h 1.5
	  changes for NOEMUL BOOT

Sun Dec 19 18:16:10 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* bootinfo.h 1.1
	  date and time created 99/12/19 18:16:10 by joerg

Sun Dec 19 16:38:04 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.28
	  hard disk boot and no emulation boot

Sun Dec 19 16:13:21 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sunlabel.h 1.2
	* boot.c 1.2
	  Ueberfluessige Variablen beseitigt, Prototypen fuer geboot_*()

Sat Dec 18 01:11:43 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile.in 1.16
	  Erics final changes

Wed Dec 15 01:24:58 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.35
	  sparc boot new, -nomak new, suid mode now safe

Sun Dec 12 22:01:32 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* README.sparcboot 1.1
	  date and time created 99/12/12 22:01:32 by joerg

Sun Dec 12 19:26:57 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.30
	* mkisofs.8 1.27
	* mkisofs.h 1.26
	  sparc boot new

Sun Dec 12 18:28:09 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.3
	  boot.c new

Sun Dec 12 18:03:39 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* sunlabel.h 1.1
	* boot.c 1.1
	  date and time created 99/12/12 18:03:39 by joerg

Sat Dec 11 16:26:54 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.32
	  rstr() new to check for .bak files

Fri Dec 10 01:58:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.19
	  Check first if -M file exists before trying to use scsidev_open()

Tue Dec  7 00:33:13 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.29
	  new sort_dir code checks for is_rr_dir

Tue Dec  7 00:21:00 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.31
	  Do not make directory loop fatal, new sort_directory code

Tue Dec  7 00:19:32 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.25
	  sort directory prototyp modified

Mon Dec  6 23:40:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.11
	  use comerr()

Mon Dec  6 22:46:07 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.34
	  Version js-a34

Sat Dec  4 20:56:21 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.18
	  Allow RR Version 2 for Mac, memcmp() returns != null for misscompare of date!!!

Sat Dec  4 20:48:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.28
	  Allow the same name in rr_moved

Tue Nov 30 17:16:47 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.10
	  strncmp() for max of 64 chars in Joliet dirs

Sat Nov 27 22:05:15 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.30
	  Force graft dirs to be at least SECTOR_SIZE, dup missing whole_name

Thu Nov 25 10:44:05 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.9
	  Various new system definitions

Thu Nov 25 00:25:08 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.33
	  -version new

Tue Nov 23 00:11:24 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.26
	  Hint to new maintainer Joerg Schilling

Tue Nov 23 00:05:30 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.32
	  Version js-a32, -cdwrite-params -> -cdrecord-params

Tue Nov 23 00:03:15 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* README 1.7
	  cdwrite hint removed

Tue Nov 23 00:01:13 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.17
	  TRANS.TBL handling corrected

Mon Nov 22 23:47:21 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.11
	  Abbruch bei Lesefehlern in readsecs()

Mon Nov 22 21:41:38 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.18
	  #ifdef corrected for BLK/CHR devices

Fri Nov 19 23:01:59 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.29
	  S_IFBLK checked for OS/2

Fri Nov 12 11:55:44 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* eltorito.c 1.9
	  clean castings

Fri Nov 12 11:53:07 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.27
	  clean casting

Fri Nov 12 11:45:03 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.24
	  #include statdefs.h

Wed Nov  3 23:56:49 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.31
	  Release js-a31

Mon Nov  1 22:29:15 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile.man 1.2
	  INSMODE new

Sat Oct 16 18:52:16 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.30
	  Release 1.12b5-js-a30, removed & before array

Fri Oct 15 22:01:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.16
	  Removed & before array

Fri Oct  8 19:54:24 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* match.c 1.4
	  make it work correctly on 64 bit systems

Mon Sep 13 12:10:13 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.29
	  Version to 1.12b5-js-28

Tue Sep  7 16:45:13 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.10
	  Umbau auf neues open_scsi(), commerr() statt fprintf(stderr)

Tue Sep  7 14:52:25 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* rock.c 1.17
	  HAVE_READLINK test, use comerr()

Tue Sep  7 14:50:50 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.9
	* hash.c 1.6
	* files.c 1.5
	* eltorito.c 1.8
	* multi.c 1.15
	* write.c 1.26
	  use comerr()

Tue Sep  7 14:32:27 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.28
	  use comerr(), HAVE_READLINK test

Tue Sep  7 14:13:12 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.28
	  use comerr()/save_args()

Tue Sep  7 14:10:48 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.2
	  USE_LIBSCHILY new

Sun Aug 29 01:59:22 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.23
	  HAVE_LSTAT test new

Sun Aug  1 22:50:12 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* defaults.h 1.8
	  SYSTEM ID DEFAULT for OS/2

Sun Jul 11 19:32:42 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* multi.c 1.14
	  <translation table> -> TRTANS.TBL for Joliet, round up to SECSIZE for reading TRANS.TBL

Sun Jul 11 19:30:08 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* tree.c 1.27
	  <translation table> -> TRTANS.TBL for Joliet, ignore-loops new

Mon Jun 21 11:46:40 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* write.c 1.25
	  Check for Rock Ridge files with same name

Thu Jun 17 16:31:43 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.9
	  cleaned up

Thu Jun 17 16:30:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.8 1.25
	  Better words, -F option new

Thu Jun 17 16:17:18 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.27
	  wildcard for EMX, ignore loops, no-split-symlink-fields/no-split-symlink-components now work

Tue May 25 21:09:44 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.h 1.22
	  ignore-loops new

Wed May 19 16:41:02 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* joliet.c 1.8
	  debug print for joliet files wirh same name

Wed Apr 28 16:58:37 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* name.c 1.8
	  Better handling for chars > 128

Sat Apr 24 18:39:19 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.9
	  Wegen OS/2 wird nun scsi_getbuf() aufgerufen, wait_inut_ready() neu, read_capacity() neu, Schleife ueber read_scsi, falls der transfer groeszer als der SCSI Puffer ist.

Sat Apr 24 18:25:00 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* mkisofs.c 1.26
	  #ifdef for EMX (OS/2)

**************** Release 1.12b5 *******************

Mon Mar  8 01:32:05 1999 Eric Youngdale <eric@andante.org>
	* RELEASE 1.29
	  Release1.12b5

Mon Mar  8 01:31:05 1999 Eric Youngdale <eric@andante.org>
	* mkisofs.8 1.24
	  many new options from Joerg Schilling, Release 1.12b5

Sun Mar  7 22:48:49 1999 Eric Youngdale <eric@andante.org>
	* mkisofs.c 1.25
	  several new options, binary open for Win32

Sun Mar  7 18:41:19 1999 Eric Youngdale <eric@andante.org>
	* write.c 1.24
	  split-output new, binary open for Win32, avoid incorrect sorting for ./.. with -L, ISO hide code

Sun Mar  7 18:41:19 1999 Eric Youngdale <eric@andante.org>
	* tree.c 1.26
	  Inhibit code, sprintf() now correct, varoius other fixes

Sun Mar  7 18:41:19 1999 Eric Youngdale <eric@andante.org>
	* joliet.c 1.7
	  Let all iso8859-1 chars be unicode, Joliet hide code

Tue Mar  2 05:16:41 1999 Eric Youngdale <eric@andante.org>
	* multi.c 1.13
	  Prototypes and other various bug fixes

Tue Mar  2 05:16:41 1999 Eric Youngdale <eric@andante.org>
	* mkisofs.h 1.21
	  better prototypes, INHIBIT_ISO9660_entry new, volume_set_size/volume_sequence_number

Tue Mar  2 05:16:40 1999 Eric Youngdale <eric@andante.org>
	* Makefile.in 1.15
	  Release 1.12b5

Tue Mar  2 05:16:40 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* README.session 1.3
	  Modified for cdrecord

Tue Mar  2 04:41:26 1999 Eric Youngdale <eric@andante.org>
	* rock.c 1.16
	  Binary open for Win32, some other fixes

Tue Mar  2 04:41:26 1999 Eric Youngdale <eric@andante.org>
	* name.c 1.7
	  casts for unsigned char *

Tue Mar  2 04:41:25 1999 Eric Youngdale <eric@andante.org>
	* match.h 1.2
	* match.c 1.3
	  Joliet/ISO hide code new

Tue Mar  2 04:41:25 1999 Eric Youngdale <eric@andante.org>
	* defaults.h 1.7
	  APPID_DEFAULT new

Tue Mar  2 04:41:25 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* exclude.h 1.2
	  __PR() macros

Tue Mar  2 04:41:25 1999 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* fnmatch.c 1.3
	  some casts for unsigned char *

Tue Mar  2 04:41:25 1999 Eric Youngdale <eric@andante.org>
	* eltorito.c 1.7
	  small bug fixes

Sun Nov 29 19:13:43 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.8
	  scgio.h -> scgcmd.h/scgio.h, scgio.h scgcmd.h scsidefs.h scsireg.h scsitransp.h -> include/scg

Sun Nov 29 18:30:41 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile 1.1
	  date and time created 98/11/29 18:30:41 by joerg

Sat Nov 14 04:20:05 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* Makefile.man 1.1
	  date and time created 98/11/14 04:20:05 by joerg

Fri Oct 30 02:06:35 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.7
	  open_scsi() returniert nun SCSI *scgp, wird auch fuer read_scsi() verwendet

Sat Oct 24 01:29:24 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.6
	  open_scsi(dev, timeout, verboseopen) -> open_scsi(dev, debug, verboseopen)

**************** Release 1.12b4 *******************

Tue Jun  2 06:44:45 1998 Eric Youngdale <eric@andante.org>
	* RELEASE 1.28
	  Release 1.12b4

Tue Jun  2 06:43:45 1998 Eric Youngdale <eric@andante.org>
	* mkisofs.c 1.24
	  New options -print-size & -split-output, put Joliet & ElTorite PVD in right order

Tue Jun  2 06:43:44 1998 Eric Youngdale <eric@andante.org>
	* mkisofs.8 1.23
	  -print-size/-split-output new, Release 1.12b4

Tue Jun  2 06:14:58 1998 Eric Youngdale <eric@andante.org>
	* tree.c 1.25
	  Win32 changes, do not use sprintf result, some other fixes

Tue Jun  2 05:40:39 1998 Eric Youngdale <eric@andante.org>
	* write.c 1.23
	  -split-output, several fixes

Tue Jun  2 05:40:38 1998 Eric Youngdale <eric@andante.org>
	* multi.c 1.12
	  Some fixes with DOT/DODOT, create whole_name by strdup

Tue Jun  2 05:40:38 1998 Eric Youngdale <eric@andante.org>
	* mkisofs.h 1.20
	  Win32, -print-size, -split-output

Tue Jun  2 05:40:38 1998 Eric Youngdale <eric@andante.org>
	* name.c 1.6
	  No version number if it is part of the filename

Tue Jun  2 05:40:37 1998 Eric Youngdale <eric@andante.org>
	* eltorito.c 1.6
	  O_BINARY for Win32

Tue Jun  2 05:40:37 1998 Eric Youngdale <eric@andante.org>
	* joliet.c 1.6
	  bug fix for ce_bytes and chars > 128

Tue Jun  2 05:40:37 1998 Eric Youngdale <eric@andante.org>
	* defaults.h 1.6
	  Defaults for Win32

Tue Jun  2 05:40:36 1998 Eric Youngdale <eric@andante.org>
	* Makefile.in 1.14
	  CFLAGS new

Fri Apr 17 12:39:39 1998 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.5
	  Prototypen entfernt fuer K&R C

**************** Release 1.12b3 *******************

Wed Feb 18 05:51:47 1998 Eric Youngdale <eric@andante.org>
	* RELEASE 1.27
	* mkisofs.c 1.23
	* mkisofs.8 1.22
	  Release 1.12b3

Wed Feb 18 05:48:24 1998 Eric Youngdale <eric@andante.org>
	* tree.c 1.24
	  check for relocated dirs

Wed Feb 18 05:48:23 1998 Eric Youngdale <eric@andante.org>
	* rock.c 1.15
	  check strlen of symlink buffer

**************** Release 1.12b2 *******************

Mon Feb 16 18:57:56 1998 Eric Youngdale <eric@andante.org>
	* RELEASE 1.26
	* mkisofs.c 1.22
	* mkisofs.8 1.21
	  Release 1.12b2

Mon Feb 16 18:56:56 1998 Eric Youngdale <eric@andante.org>
	* tree.c 1.23
	  small bug fixes, Ingoring file message

Mon Feb 16 18:56:56 1998 Eric Youngdale <eric@andante.org>
	* write.c 1.22
	  bug fix....

Mon Feb 16 18:56:55 1998 Eric Youngdale <eric@andante.org>
	* mkisofs.h 1.19
	  better autoconf, better prototypes

Mon Feb 16 18:56:55 1998 Eric Youngdale <eric@andante.org>
	* joliet.c 1.5
	  several casts to unsigned char *

**************** Release 1.12b1 *******************

Mon Dec 15 13:48:59 1997 Eric Youngdale <eric@andante.org>
	* RELEASE 1.25
	* mkisofs.c 1.21
	* mkisofs.8 1.20
	  Release 1.12b1

Mon Dec 15 13:47:59 1997 Eric Youngdale <eric@andante.org>
	* rock.c 1.14
	  mkdev() autoconf corrected

Mon Dec 15 13:47:59 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.h 1.18
	  string.h/strings.h autoconf

Mon Dec 15 13:47:59 1997 Eric Youngdale <eric@andante.org>
	* tree.c 1.22
	  set isorec.size later

Mon Dec 15 13:47:58 1997 Eric Youngdale <eric@andante.org>
	* eltorito.c 1.5
	  some printf's moved to stderr to avoid problems

Mon Dec 15 13:47:57 1997 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* configure.in 1.4
	  several new tests

**************** Release 120697 *******************

Sat Dec  6 22:06:07 1997 Eric Youngdale <eric@andante.org>
	* RELEASE 1.24
	* ChangeLog 1.18
	  Release 120697

Sat Dec  6 22:05:07 1997 Eric Youngdale <eric@andante.org>
	* write.c 1.21
	* tree.c 1.21
	* rock.c 1.13
	  Fix uninitialized memory usage that screwed up lots of stupid things.   Add support for non-split symlinks.

Sat Dec  6 22:05:05 1997 Eric Youngdale <eric@andante.org>
	* multi.c 1.11
	  init struct directory to null

Sat Dec  6 22:05:05 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.h 1.17
	  readdir include handling new, *split_SL* new

Sat Dec  6 22:05:05 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.c 1.20
	* mkisofs.8 1.19
	  new option -no-split-symlink-fields/-no-split-symlink-components

Sat Dec  6 22:05:03 1997 Eric Youngdale <eric@andante.org>
	* defaults.h 1.5
	  SunOS/Solaris switch

**************** Release 112597 *******************

Tue Nov 25 14:09:37 1997 Eric Youngdale <eric@andante.org>
	* RELEASE 1.23
	  Release 112597

Tue Nov 25 14:08:37 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.8 1.18
	  Release 112597, -quiet option new

Tue Nov 25 14:08:37 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.c 1.19
	  verbose levels, -quiet

Tue Nov 25 14:06:43 1997 Eric Youngdale <eric@andante.org>
	* write.c 1.20
	  vervose levels

Tue Nov 25 14:06:42 1997 Eric Youngdale <eric@andante.org>
	* joliet.c 1.4
	  some bug fixes, handling of reloc dir

Tue Nov 25 14:06:42 1997 Eric Youngdale <eric@andante.org>
	* tree.c 1.20
	* hash.c 1.5
	  verbose levels

**************** Release 112397 *******************

Mon Nov 24 03:52:49 1997 Eric Youngdale <eric@andante.org>
	* RELEASE 1.22
	  Release 112397

Mon Nov 24 03:51:49 1997 Eric Youngdale <eric@andante.org>
	* multi.c 1.10
	  print error messages to stderr

Mon Nov 24 03:51:49 1997 Eric Youngdale <eric@andante.org>
	* joliet.c 1.3
	  fixed some bugs that prevented images working on NT, convert to unicode new

Mon Nov 24 03:51:49 1997 Eric Youngdale <eric@andante.org>
	* tree.c 1.19
	  put error/debug messages to stderr, INHIBIT_JOLIET_ENTRY new

Thu Nov 13 06:01:42 1997 Eric Youngdale <eric@andante.org>
	* name.c 1.5
	  typo fix

Mon Nov 10 04:27:17 1997 Eric Youngdale <eric@andante.org>
	* write.c 1.19
	  casting to unsigned char *

**************** Release 110997 *******************

Sun Nov  9 19:56:51 1997 Eric Youngdale <eric@andante.org>
	* RELEASE 1.21
	  110997

Sun Nov  9 19:55:51 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.c 1.18
	  getopt_long() codem, graft pointers, struct output_fragment new

Sun Nov  9 19:55:44 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.8 1.17
	  Joliet new, Graft pointers new

Sun Nov  9 19:54:58 1997 Eric Youngdale <eric@andante.org>
	* tree.c 1.18
	  Joliet handling and graft pointer handling

Sun Nov  9 19:54:45 1997 Eric Youngdale <eric@andante.org>
	* write.c 1.18
	  struct output_fragment new, sort goof check new, free unused space, better statistics

Sun Nov  9 19:54:27 1997 Eric Youngdale <eric@andante.org>
	* multi.c 1.9
	  correct line length for TRANS.TBL, graft pointer merging code new

Sun Nov  9 19:43:36 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.h 1.16
	  struct output_fragment new, some defines for the tree

Sun Nov  9 19:43:36 1997 Eric Youngdale <eric@andante.org>
	* iso9660.h 1.4
	  defines for unicode level, PVD ID for Joliet

Sun Nov  9 19:43:36 1997 Eric Youngdale <eric@andante.org>
	* joliet.c 1.2
	  first code added

Sun Nov  9 19:43:36 1997 Eric Youngdale <eric@andante.org>
	* Makefile.in 1.13
	  joliet.c, getopt*.c new

Sun Nov  9 19:43:36 1997 Eric Youngdale <eric@andante.org>
	* name.c 1.4
	  mapping chars > 128

Sun Nov  9 19:43:36 1997 Eric Youngdale <eric@andante.org>
	* eltorito.c 1.4
	  error messages to stderr, struct output_fragement new

Sun Nov  9 19:43:36 1997 Eric Youngdale <eric@andante.org>
	* README 1.6
	  Notes for Release 1.12 added

Thu Nov  6 20:19:25 1997 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.4
	  #include <mconfig.h> fuer AIX

Tue Nov  4 03:27:44 1997 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt.h 1.1
	  date and time created 97/11/04 03:27:44 by joerg

Tue Nov  4 03:27:39 1997 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* getopt1.c 1.1
	  date and time created 97/11/04 03:27:39 by joerg

Tue Nov  4 03:27:32 1997 Eric Youngdale <eric@andante.org>
	* getopt.c 1.1
	  date and time created 97/11/04 03:27:32 by eric

Sat Oct 18 19:14:05 1997 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.3
	  stdlib.h -> stdxlib.h, unistd.h -> unixstd.h

Wed Oct 15 07:25:15 1997 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* TODO 1.3
	  New list for 1.12

**************** Release 1.11.1 *******************

Mon Oct 13 05:56:49 1997 Eric Youngdale <eric@andante.org>
	* RELEASE 1.20
	* mkisofs.8 1.16
	  Release 1.11.1

Mon Oct 13 05:55:49 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.c 1.17
	  Release 1.11.1, let path_table start on correct sector # depending on El Torito or not

Mon Oct 13 05:46:46 1997 Eric Youngdale <eric@andante.org>
	* multi.c 1.8
	  better checking for null pointers, USE_SCG code included, type casts for unsigned char *

Mon Oct 13 05:46:01 1997 Eric Youngdale <eric@andante.org>
	* write.c 1.17
	  Make local time a structure rahte than a pointer so data will not overwritten, add Joliet support

Mon Oct 13 05:41:16 1997 Eric Youngdale <eric@andante.org>
	* tree.c 1.17
	  file renaming code corrected, iso9660_file_length() called correctly (not dir!) for TRANS.TBL

Mon Oct 13 05:32:57 1997 Eric Youngdale <eric@andante.org>
	* mkisofs.h 1.15
	  prototypes for readsecs() and scsidev_open()

Mon Oct 13 05:30:51 1997 Eric Youngdale <eric@andante.org>
	* name.c 1.3
	  seen_dot new, include '%' to illegal characters

Mon Oct 13 05:30:21 1997 Eric Youngdale <eric@andante.org>
	* rock.c 1.12
	  major() autoconf changed

Mon Oct 13 05:29:40 1997 Eric Youngdale <eric@andante.org>
	* eltorito.c 1.3
	  Limit publisher ID to 23 chars

Wed May 21 18:11:25 1997 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* scsi.c 1.2
	  scsireg.h Include

Sat May 17 18:49:03 1997 Eric Youngdale <eric@andante.org>
	* joliet.c 1.1
	  date and time created 97/05/17 17:49:03 by eric

Fri May 16 15:46:48 1997 Joerg Schilling <joerg@schily.isdn.cs.tu-berlin.de>
	* config.h 1.1
	* scsi.c 1.1
	  date and time created 97/05/16 14:46:48 by joerg

**************** Release 1.11 *******************

Thu Apr 10 06:46:21 1997 Eric Youngdale <eric@andante.org>
	* RELEASE 1.19
	* RELEASE 1.18
	* mkisofs.8 1.15
	  Release 1.11

Thu Apr 10 06:43:02 1997 Eric Youngdale <eric@andante.org>
	* write.c 1.16
	  Check for . and .. entries in dir

Thu Apr 10 06:41:49 1997 Eric Youngdale <eric@andante.org>
	* tree.c 1.16
	  Strip off non-significant part of filename

/*--------------------------------------------------------------------------*/
The text below is not autogenerated from SCCS comments:

Wed Nov  5 10:46:29 1997  Andreas Buschmann US/EC4 60/1F/110 #40409  <buschman@lts.sel.alcatel.de>

	Circumvent a bug in the SunOS / Solaris CD-ROM driver (and maybe HP/UX, too).
       
       * mkisofs.8 (-S): Document switch.
       *  mkisofs.c (split_SL_field): new Variable, new switch -S.
       *  mkisofs.h (split_SL_field): new Variable.
       * rock.c (generate_rock_ridge_attributes): only split SL field,
       when split_SL_field is set.
 
Tue Jun  3 15:32:21 1997  Andreas Buschmann <buschman@lts.sel.alcatel.de>
 
       Circumvent a bug in the SunOS CD-ROM driver (and maybee HP/UX, too).
 
       * mkisofs.8 (-s): Document switch.
       * mkisofs.c (split_SL_component): new Variable, new switch -s.
       * mkisofs.h (split_SL_component): new Variable.
       * rock.c (generate_rock_ridge_attributes): only split SL
       components, when split_SL_component is set.
       
       * defaults.h: Added SunOS string.
       

Wed Mar 19 16:50:17 1997  Fred Fish  <fnf@ninemoons.com>

	* Makefile.in (CFLAGS): Let configure set basic flags.  Move
	compilation option -c to actual CC commands.
	(LDFLAGS): Let configure set basic flags.
	(Makefile): Depends upon config.status, not configure.
	Regenerate if necessary from Makefile.in using config.status.
	(configure): Cd to srcdir before running autoconf.
	* acconfig.h: New file to hold nonstandard entries used in
	config.h.in.  Used by autoheader to generate config.h.in.
	* config.h.in: Regenerated with autoheader.
	* configure.in: Check for existance of sbrk() function.
	* configure: Regenerated with autoconf 2.12.
	* fnmatch.c (FMN_FILE_NAME): Define if not already defined.
	(FNM_LEADING_DIR): Ditto.
	(FNM_CASEFOLD): Ditto.
	* mkisofs.c (main): Only use sbrk() if system supports it.

Fri Mar 14 21:54:37 1997  Eric Youngdale  <eric@andante.jic.com>

	* Bump version number to 1.10, public release.

	* Put entire thing under RCS.  History is buried there now.

	* Fix bug involving empty directories, translation tables and
	malloc(0).

Mon Feb 17 12:44:03 1997  Eric Youngdale  <eric@andante.jic.com>

	* Bump version number to 1.10b7.

	* Makefile.in, configure.in, config.in: Change to use GNU autoconf.

	* Configure: Delete old configuration script.

	* tree.c: Fix bug where we had a rename limit of 1000 files
	instead of 0x1000.

	* mkisofs.c: Fix sign of timezone offset.  Linux iso filesystem
	also need to be fixed, unfortunately.
	
Tue Dec  3 22:21:21 1996  Eric Youngdale  <eric@sub2317.jic.com>

	Fixed a couple of multi-session bugs.  Discs now seem to
	work on both Solaris and Windows-NT.

	* Bump version number to 1.10b6.

Tue Dec  3 22:21:21 1996  Eric Youngdale  <eric@sub2317.jic.com>

	Multi-session stuff *almost* there.  Discs seem to work
	under Linux without any problem, but under DOS only
	the first session is seen.  The patch to write.c
	inspired by disc written by Windows generated multi-session
	disc, which will hopefully make the discs usable under
	DOS as well.
	
	* Bump version number to 1.10b5.

	* write.c: use size of new session, not total of all sessions
	in volume_space_size field.

	* mkisofs.8: Update with current location of cdwrite.

Mon Nov  4 23:45:01 1996  Eric Youngdale  <eric@sub2317.jic.com>

	* Bump version number to 1.10b4.

	* Add cdwrite.c.diff file, which provides a very crude, minimal
	interface between mkisofs and cdwrite.  It should be enough to
	generate a multi-session disc, but it hasn't been tested yet.

Thu Oct 17 00:39:52 1996  Eric Youngdale  <eric@sub2317.jic.com>

	* Bump version number to 1.10b3.

Wed Oct 16 23:40:44 1996  Michael Fulbright <msf@redhat.com>

	Add support for 'El Torito' specification which allows for bootable
	cdroms.

	* Makefile.in: Add eltorito.[c,o].

	* defaults.h: Add default settings for El Torito related things.

	* iso9660.h: Add structure definitions for El Torito.

	* mkisofs.8: Document new options.

	* mkisofs.c: Add support for new options related to El Torito.

	* mkisofs.h: Add definitions, prototypes as required.

	* tree.c: Add search_tree_file function to search for a specified
	file.

	* write.c: Add support for writing special records for El Torito.

	* eltorito.c: New file.

	
Wed Oct 16 23:40:44 1996  Eric Youngdale  <eric@sub2317.jic.com>

	* rock.c: Fix bug whereby we made assumptions about how
	dev_t was split into major/minor.  Use major() and minor()
	macros to do this for us, since each system should
	do this correctly.

	* write.c: Fix bug whereby abstract, copyright and appid
	strings were not properly filled if application ID weren't
	in use.

Sun Sep 29 10:05:10 1996  Eric Youngdale  <eric@sub2317.jic.com>

	* Bump version number to 1.10b2.  Minor bug fixes here
	and there.

Sun Sep 15 18:54:05 1996  Eric Youngdale  <eric@sub2317.jic.com>

	* Bump version number to 1.10b1.  Major new functionality is
	support for multi-session.  Still a bit preliminary, but
	most of the pieces are there now.

Wed Dec 20 16:44:44 1995  Eric Youngdale  (eric@andante.aib.com)

        * mkisofs.c, mkisofs.8, Makefile (version_string): Bump to 1.05.

	* rock.c: Bugfix for cases where sizeof(int) == 4 and
	sizeof(dev_t) > 4.

	* rock.c: Bugfix for long symbolic links ('/' characters were
	being dropped).

	Patches from Peter Miller <pmiller@agso.gov.au>:

	* mkisofs.8: Documentation fix (some versions of nroff don't
	like '.' in column 1 if it is not a nroff command).

	* mkisofs.c: Add support for 'rationalize' option.
	Similar to rock ridge, except echos of development environment
	are removed.

	* write.c Status indicator now indicates percent finished, and
	estimated time of completion.

Sun Feb 26 01:52:06 1995  Eric Youngdale  (eric@largo)

	* Add patches from Ross Biro to allow you to merge arbitrary
	trees into the image.  This is not compiled in by default but
	you need to add -DADD_FILES when compiling.

Fri Feb 17 02:29:03 1995  Paul Eggert  <eggert@twinsun.com>

	* tree.c: Port to Solaris 2.4.  Prefer <sys/mkdev.h> if
	HASMKDEV.  Cast unknown integer types to unsigned long and
	print them with %lu or %lx.

Thu Jan 26 15:25:00 1995  H. Peter Anvin  (hpa@yggdrasil.com)

	* mkisofs.c: Substitute underscore for leading dot in non-Rock
	Ridge filenames, since MS-DOS cannot read files whose names
	begin with a period.

Mon Jan 16 18:31:41 1995  Eric Youngdale  (eric@aib.com)

	* rock.c (generate_rock_ridge_attributes): Only use ROOT
	record for symlinks if we are at the start of the symlink.
	Otherwise just generate an empty entry.

Mon Jan 16 16:19:50 1995  Eric Youngdale  (eric@aib.com)

	* diag/isodump.c: Use isonum_733 instead of trying to dereference
	pointers when trying to decode 733 numbers in the iso9660 image.

	* diag/isovfy.c: Likewise.

	* write.c: Always assign an extent number, even for zero length
	files.  A zero length file with a NULL extent is apparently dropped
	by many readers.

Wed Jan 11 13:46:50 1995  Eric Youngdale  (eric@aib.com)

	* mkisofs.c: Modify extension record to conform to IEEE P1282
	specifications.  This is commented out right now, but a trivial
	change to a #define enables this.   I need to see the specs
	to see whether anything else changed before this becomes final.

	* write.c (FDECL4): Fix so that we properly determine error
	conditions.

	* mkisofs.h: Change rr_attributes to unsigned.

	* tree.c(increment_nlink): Change pnt since rr_attributes is now
	  unsigned.

	Ultrix patches from petav@argon.e20.physik.tu-muenchen.de (Peter Averkamp)

	* rock.c: Fix for ultrix systems, we have 64 bit device numbers.
	Type cast when generating file size.  Change rr_attributes to
	unsigned.

	* mkisofs.c: For ultrix systems, define our own function
	for strdup.  

	* mkisofs.c: Fix usage() since some compilers do not concatenate
	strings properly (i.e. ultrix).

	Bugs found with Sentinel II:

	* write.c: Fix a couple of memory leaks.

	* mkisofs.c: Bugfix - always put a zero byte at end of name
	for ".." entry.

	* tree.c: Set isorec.date from fstatbuf.st_ctime, not current_time,
	  since current_time might not be set.

Sat Dec  3 14:55:42 1994  Eric Youngdale  (eric@andante)

	* mkisofs.c: When returning entry for ".." file, set second byte
	to 0.

	* write.c: Free name and rr_attributes fields when writing.

Mon Nov 28 13:36:27 1994  Eric Youngdale  (eric@andante)

	* mkisofs.h: Change rr_attributes to unsigned.

	* rock.c: Ditto.  Work around >>32 bug in ultrix for 64 bit data types.

	* mkisofs.c (usage): Fix for ultrix - use continuation lines
	instead of assuming that strings are catenated by the compiler.

Mon Jun 20 20:25:26 1994  Eric Youngdale  (eric@esp22)

        * mkisofs.c, mkisofs.8, Makefile (version_string): Bump to pre-1.02.

	* mkisofs.h: Fix declaration of e_malloc to use DECL macros.

	* tree.c: Fix bug in previous change.

	* diag/*.c: Add appropriate copyright notices.

Sat Apr  9 13:30:46 1994  Eric Youngdale  (ericy@cais.com)

        * Configure: New file - shell script that determines a bunch of
	things to properly build mkisofs.

	* Makefile.in: New file - copy of Makefile, but Configure sets a
	few things up for it.

	* tree.c: Do not depend upon opendir to return NULL if we cannot
	open a directory - actually try and read the first entry.  The
	foibles of NFS seem to require this.

	* write.c: Fix definition of xfwrite (Use FDECL4)

	Add some changes to allow more configurability of some of the
	volume header fields:

	* mkisofs.8: Document new configuration options.

	* mkisofs.c: Add variables to hold new fields.  Add function to
	read .mkisofsrc files.

	* defaults.h: Another way of configuring the same things.

	Add some changes from Leo Weppelman leo@ahwau.ahold.nl.

	* mkisofs.c:  Allow -A to specify application ID.  Fix usage(),
	getopt and add case switch.

	* rock.c: Fix handling of device numbers (dev_t high should only
	be used when sizeof(dev_t) > 32 bits).

	Add a bunch of changes from Manuel Bouyer.

	* diag/Makefile: New file.

	* diag/dump.c, diag/isodump.c: Use termios if system supports it.

	* (throughout): Replace all occurences of "malloc" with e_malloc.

	* mkisofs.c:  For NetBSD, attempt to increase the rlimit for
	the size of the data segment to about 33 Mb.

	* mkisofs.c (e_malloc): New function.  Calls malloc, and prints
	nice error message and exits if NULL is returned.

Sun Jan 23 19:23:57 1994  Eric Youngdale  (eric@esp22)

        * mkisofs.c, mkisofs.8, Makefile (version_string): Bump to 1.01.

    Add a bunch of stuff so that mkisofs will work on a VMS system.

	* (ALL): Change any direct use of the "st_ino" field from
	the statbuf to use a macro.

	* mkisofs.h: Define appropriate macros for both VMS and unix.

	* (ALL): Add type casts whenever we use the UNCACHED_DEV macro.

	* rock.c: Wrap a #ifndef VMS around block and character device
	stuff.

	* write.c: Add prototype for strdup if VMS is defined.

	* make.com: Script for building mkisofs on a VMS system.

	* Makefile: Include make.com in the distribution.

	* mkisofs.c: Include <sys/type.h> on VMS systems.

	* tree.c: Include <sys/file.h> and "vms.h" on VMS systems.

	* mkisofs.h (PATH_SEPARATOR, SPATH_SEPARATOR):  New macros
	that define the ascii character that separates the last directory
	component from the filename.

	* tree.c, mkisofs.c: Use them.

	* vms.c: New file.  Contains version of getopt, strdup, opendir,
	readdir and closedir.

	* vms.h: New file.  Defines S_IS* macros.  Define gmtime as
	localtime, since gmtime under VMS returns NULL.

Sat Jan 15 13:57:42 1994  Eric Youngdale  (eric@esp22)

	* mkisofs.h (transparent_compression): New prototype.

	* mkisofs.c (transparent_compression): Declare, use
	'-z' option to turn on.

	* tree.c: Change TRANS.TBL;1 to TRANS.TBL (version gets
	added later, if required).

	* rock.c: If transparent compression requested, verify
	file is really suitable (check magic numbers), and extract
	correct file length to store in SUSP record.

Sat Jan 15 01:57:42 1994  Eric Youngdale  (eric@esp22)

	* write.c (compare_dirs): Bugfix for patch from Jan 6.

	* mkisofs.h (struct directory_entry): Add element total_rr_attr_size.
	(struct file_hash): Add element ce_bytes.

	* write.c (iso_write): Update last_extent_written, as required,
	and check it against last_extent as a sanity check.
	(generate_one_directory): If ce_bytes is non-zero, allocate
	a buffer and fill it with the CE records.  Also, update
	the extent and offset entries in the CE SUSP field and
	output after directory is written.
	(assign_directory_addresses): Allow for CE sectors after each
	directory.

	* tree.c (sort_n_finish): Set field ce_bytes by summing
	the sizes of all CE blocks in each files RR attributes.
	Do not count these bytes for main directory.

	* rock.c (generate_rock_ridge_attributes): Generate
	CE entries to break up large records into manageable sizes.
	Allow long names to be split, and allow long symlinks to be split.
	Allow splitting before each SUSP field as well, to make
	sure we do not screw outselves.

Thu Jan  6 21:47:43 1994  Eric Youngdale  (eric@esp22)

    Bugfix.

	* write.c (compare_dirs): Only compare directory names up to
	the ';' for the version number.

    Add four new options: (1) Full 31 character filenames,
    (2) Omit version number, (3) Omit trailing period from filenames,
    (4) Skip deep directory relocation.

	* iso9660.h: Allow 34 characters for filename.

	* mkisofs.8: Update for new options.

	* mkisofs.c: Add flag variables for new options.
	Mention new options in usage(), tell getopt about
	new options, and set appropriate flags when
	new options are specified.

	* mkisofs.c (iso9660_file_length): Implement new options.

	* mkisofs.h: Declare flag variables for new options.

	* tree.c (sort_n_finish): Increase declaration of newname and
	rootname to 34 characters.  If full_iso9660_filenames in effect,
	use different rules for making unique names.

	* tree.c (scan_directory_tree): Use RR_relocation_depth instead of
	constant for threshold for starting deep directory relocation.

Wed Jan  5 01:32:34 1994  John Brezak (brezak@ch.hp.com)

	* Makefile.bsd: New file.  For NetBSD.

	* rock.c, tree.c: Do not include sys/sysmacros.h for NetBSD.

Fri Dec 31 13:22:52 1993  Eric Youngdale  (eric@esp22)

        * mkisofs.c, mkisofs.8, Makefile (version_string): Bump to 1.00.

	* tree.c (scan_directory_tree): Handle case where we do not
	have permissions to open a directory.

	* write.c (xfwrite): New function - wrapper for fwrite,
	except that we print message and punt if write fails.

	* write.c: Move include of mkisofs.h and iso9660.h until after
	string.h and stdlib.h is included.

	* write.c: Do not attempt to use strerror on sun systems.

Thu Dec 9  13:17:28 1993  R.-D. Marzusch (marzusch@odiehh.hanse.de)

        * exclude.c, exclude.h: New files.  Contains list of files to
	exclude from consideration.

	* Makefile: Compile exclude.c, add dependencies to other files.

	* mkisofs.8: Describe -x option.

	* mkisofs.c: Include exclude.h, handle -x option.


Fri Dec 10 01:07:43 1993  Peter van der Veen (peterv@qnx.com)
 
 	* mkisofs.c, mkisofs.h: Moved declaration of root_record.
 
 	* mkisofs.h: Added prototype for get_733().
 
 	* write.c(iso_write), tree.c, rock.c(generate_rock_ridge_attributes):
 	Added defines for QNX operation system
 
 	* rock.c(generate_rock_ridge_attributes): symbolic links should
 	not have CONTINUE component flag set unless there are multiple
 	component records, and mkisofs does not generate these.
 	st_ctime was stored as the creation time, changed to attribute time.
 	QNX has a creation time, so that is stored as well under QNX.
 
Thu Oct 28 19:54:38 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.99.

	* write.c(iso_write): Put hour, minute, second into date fields in
	volume descriptor.

	* write.c (iso_write): Set file_structure_version to 1, instead of
	' ' (Seems to screw up Macs).

Sun Oct 17 01:13:36 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.98.

    Increment nlink in root directory when rr_moved directory is present.

        * tree.c (increment_nlink): New function.

	* tree.c (finish_cl_pl_entries): Call increment_nlink for all
	references to the root directory.

	* tree.c (root_statbuf): New variable.

	* tree.c (scan_directory_tree): Initialize root_statbuf when we
	stat the root directory.

	* tree.c (generate_reloc_directory): Use root_statbuf when
	generating the Rock Ridge stuff for the ".." entry in the
	reloc_dir.

	* tree.c (scan_directory_tree): Use root_statbuf when generating
	the ".." entry in the root directory.

Sat Oct 16 10:28:30 1993  Eric Youngdale  (eric@kafka)

    Fix path tables so that they are sorted.

	* tree.c (assign_directory_addresses): Move to write.c

	* write.c (generate_path_tables): Create an array of pointers to
	the individual directories, and sort it based upon the name and
	the parent path table index.  Then update all of the indexes and
	repeat the sort until the path table indexes no longer need to be
	changed, and then write the path table.

    Fix problem where hard links were throwing off the total extent count.

	* write.c (iso_write): Call assign_file_addresses, and then
	use last_extent to determine how big the volume is.

	* write.c (generate_one_directory): Decrement n_data_extents
	for hard links to non-directories so that the expected number
	of extents is written correctly.

	* write.c(assign_file_addresses): New function.

Fri Oct 15 22:35:43 1993  Eric Youngdale  (eric@kafka)

    The standard says we should do these things:

	* tree.c (generate_reloc_directory): Add RR attributes to
	the rr_moved directory.

	* mkisofs.c(main): Change ER text strings back to recommended
	values.

Tue Oct 12 21:07:38 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.97.  

	* tree.c (scan_directory_tree): Do not insert PL entry into
	root directory record (i.e. !parent)

	* tree.c (finish_cl_pl_entries): Do not rely upon name
	comparison to locate parent - use d_entry->self instead,
	which is guaranteed to be correct.

	* mkisofs.h: New variable n_data_extents.

	* tree.c: Declare and initialize n_data_extents to 0.
	(scan_directory_tree) for non-directories, add
	ROUND_UP(statbuf.st_size) to n_data_extents.
	(sort_n_finish): Increment n_data_extents for translation tables,
	as appropriate.

	* write.c(iso_write): Add n_data_extents to the
	volume_space_size field.

	* hash.c(add_hash): If size != 0 and extent == 0, or
	if size == 0 and extent != 0, then complain about
	inserting this into the hash table.  Kind of a sanity check.

Sat Oct  9 16:39:15 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.96.  

	Numerous bugfixes, thanks to a one-off disc from rab@cdrom.com.

	* write.c(generate_one_directory): Wait until after we have
	filled in the starting_extent field to s_entry before calling
	add_hash.  This fixes a problem where the hash table gets an
	extent of 0 for all regular files, and this turns up when you have
	hard links on the disc. (The hash table allows us to have each
	hard link point to the same extent on the cdrom, thereby saving
	some space).

	* tree.c(scan_directory_tree): Set statbuf.st_dev and
	statbuf.st_ino to the UNCACHED numbers for symlinks that we
	are not following.  This prevents the function find_hash from
	returning an inode that cooresponds to the file the symlink points
	to, which in turn prevents generate_one_directory from filling in
	a bogus file length (should be zero for symlinks).

	* tree.c(scan_directory_tree): Always call lstat for the file
	so that non-RockRidge discs get correct treatment of symlinks.
	Improve error message when we ignore a symlink on a non-RR disc.
	
	* write.c(generate_one_directory): Set fields for starting_extent
	and size in the "." and ".." entries before we add them to the
	file hash.  Fixes problems with incorrect backlinks for second
	level directories.

Wed Oct  6 19:53:40 1993  Eric Youngdale  (eric@kafka)

	* write.c (write_one_file): Print message and punt if we are
	unable to open the file.

	* tree.c(scan_directory_tree): For regular files, use the access
	function to verify that the file is readable in the first place.
	If not, issue a warning and skip it.  For directories, it probably
	does not matter, since we would not be able to descend into them
	in the first place.

Wed Sep 29 00:02:47 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.95.

	* write.c, tree.c: Cosmetic changes to printed information.

        * tree.c(scan_directory_tree): Set size to zero for
	special stub entries that correspond to the
	relocated directories.  Hopefully last big bug.

	* mkisofs.h: Change TABLE_INODE, UNCACHED_* macros
	to be 0x7fff... to be compatible with signed datatypes.

Mon Sep 27 20:14:49 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.94.

	* write.c (write_path_tables): Actually search the
	directory for the matching entry in case we renamed
	the directory because of a name conflict.

	* tree.c(scan_directory_tree): Take directory_entry pointer
	as second argument so that we can create a backpointer
	in the directory structure that points back to the original
	dir.

	* mkisofs.c: Fix call to scan_directory_tree to use new calling
	sequence.

	* write.c(generate_one_directory): Punt if the last_extent counter
	ever exceeds 700Mb/2048.  Print name of responsible file,
	extent counter, and starting extent.  Perhaps we can catch it in
	the act.

Sun Sep 26 20:58:05 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.93.

	* tree.c(scan_directory_tree): Handle symlinks better.  Either
	leave them as symlinks, or erase any trace that they were a
	symlink but do not do it 1/2 way as before.  Also, watch for
	directory loops created with symlinks.

	* mkisofs.h: Add new flag follow_links.

	* mkisofs.c: Add command line switch "-f" to toggle follow_links.

	* mkisofs.8: Document new switch.

	* tree.c: Add code to handle symlinks using new flag.

	* hash.c: Add add_directory_hash, find_directory_hash functions.

	* mkisofs.h: Add prototypes.

Sat Sep 25 14:26:31 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.92.

	* mkisofs.c: Make sure path is an actual directory before trying
	to scan it.

	* mkisofs.h: Add DECL and FDECL? macros for sparc like systems.
	Do proper define of optind and optarg under SVr4.

	* tree.c: Change translation table name from YMTRANS.TBL to TRANS.TBL.

	* mkisofs.c: Neaten up message in extension record when RRIP is
	in use.

	* Throughout - change all function declarations so that
	traditional C compilers (i.e. sparc) will work.

	* Makefile: Change to use system default C compiler.

	* mkisofs.c: Add some stuff so that this will compile under VMS.
	Many things missing for VMS still.

	* iso9660.h: Do not use zero length array in struct definition.

	* tree.c (sort_n_finish): Account for this.

	* Change copyright notice.


Wed Aug 25 08:06:51 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.91.

	* mkisofs.h: Only  include sys/dir.h for linux.  Other systems
	will need other things.

	* mkisofs.c,  tree.c: Include unistd.h.

	* Makefile:  Use OBJS to define list of object files.

Sun Aug 22 20:55:17 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.9.

	* write.c (iso_7*): Fix so that they work properly  on Motorola
	systems. 

Fri Aug 20 00:14:36 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.8.

	* rock.c: Do not mask off write permissions from posix file modes.

Wed Aug 18 09:02:12 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.7.

        *  rock.c: Do not  write  NM field  for . and .. (redundant and a
	waste of space).

	* mkisofs.c: Take -P and -p options for publisher and preparer id
	fields.

	* write.c: Store  publisher and preparer id  in  volume
	descriptor.

	* rock.c: Write  optional  SP field to identify  SUSP.  Write
	optional CE field to point to the extension header.

	* tree.c: Request  SP and  CE fields be added to root directory.

        * tree.c: Fix bug in name conflict resolution.

        * write.c: Fill in date fields in the  colume descriptor.

        * write.c (write_one_file): If the file is large enough, write  in
	chunks of 16 sectors to improve performance.

	* hash.c (add_hash, find_hash, etc): Do  not hash s_entry, instead
	store relevant info in hash structure (we free s_entry  structs as
	we write files, and we need to have access to the hash table  the
	whole  way through.

	* write.c: Add a few statistics about directory sizes, RR sizes,
	translation table sizes, etc.

	* tree.c: Use major, not MAJOR.  Same for minor.  Define S_ISSOCK
	and S_ISLNK if not defined.

	* rock.c: Define S_ISLNK if not defined.

	* mkisofs.c: Print out max memory usage.  Fix bug in call to getopt.

        * mkisofs.c, Makefile (version_string): Bump to 0.6.

	* tree.c: Simplify the calculation of isorec.len,  isorec.name_len
	and the calculation of the path table sizes by doing it all at
	one point after  conflict resolution is done.

	* tree.c: scan_directory_tree is now  responsible for generating
	the line that goes into the YMTRANS.TBL file.  These lines are
	collected later  on into something that will be dumped to the
	file. Correctly handle all of the special file types.

Mon Aug 16 21:59:47 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.5.

	* mkisofs.c: Add -a option  (to force all files to be
	transferred).  Remove find_file_hash stuff.

	* write.c: Pad length even if Rock Ridge is not in use.

	* hash.c: Rewrite hash_file_* stuff so that it  can be used to
	easily  detect (and look up) filenames that have been  accepted
	for use  in this directory.  Used for name collision detection.

	* tree.c (sort_n_finish): If two names collide, generate a unique
	one (verified with the hash routines).  Change the lower priority
	name if there is a difference.



Sat Aug 14 13:18:21 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c, Makefile (version_string): Bump to 0.4.

	* tree.c (load_translation_table): New  function - read
	YMTRANS.TBL.  (scan_directory_tree) Call it.

	* mkisofs.c (iso9660_file_length): Call find_file_hash to see
	if translated name is specified.  If so, use it.

	* hash.c (name_hash, add_file_hash, find_file_hash,
	flush_file_hash): New functions for hashing stuff from
	YMTRANS.TBL.

	* mkisofs.h: Add a bunch of prototypes for the new functions.

	* mkisofs.8: Update.

        * mkisofs.c, Makefile (version_string): Bump to 0.3.

        * Makefile: Add version number to tar file in dist target.

	* mkisofs.c: Call finish_cl_pl_entries() after directories have
	been generated, and extent numbers assigned.

	* write.c (generate_one_directory): Update s_entry->size  for
	directories (as well as isorec.size).

	* rock.c:  Add  code to generate CL, PL, and RE entries.  The
	extent numbers for the CL and PL  entries are  NULL, and these
	are filled in  later once we know where they actually belong.

	* mkisofs.h: Add parent_rec to directory_entry.  Used to fix CL/PL
	stuff.

	* tree.c (scan_directory_tree): Set  flag to generate  CL/PL/RE
	entries  as required, update sizes as well.

Fri Aug 13 19:49:30 1993  Eric Youngdale  (eric@kafka)

        * mkisofs.c (version_string): Bump to 0.2.

	* hash.c: Do not use entries with inode  == 0xffffffff or dev  ==
	0xffff.

	* write.c (write_path_tables):  Strip leading directory specifications.

	* mkisofs.h: Add  definition for reloc_dir symbol.  Add prototype
	for sort_n_finish, add  third parameter  to  scan_directory_tree
	(for true parent, when directories are relocated).

	* mkisofs.c (main): Modify call to scan_directory_tree.  Call
	sort_n_finish for reloc_dir.

	* tree.c (sort_n_finish): New function - moved code from
	scan_directory_tree. 

	* tree.c (generate_reloc_directory): New function.  Generate
	directory to hold relocated directories.

	* tree.c (scan_directory_tree): Strip leading directories when
	generating this_dir->name.  If depth is  too great,  then move
	directory to reloc_dir (creating if it does not exist, and leave
	a dummy (non-directory) entry  in the regular directory  so that
	we can eventually add the required Rock Ridge record.

	* tree.c (scan_directory_tree): Use s_entry instead of sort_dir,
	assign to this_dir->contents sooner.

Thu Aug 12 22:38:17 1993  Eric Youngdale  (eric@kafka)

	* mkisofs.c (usage): Fix syntax.

	* mkisofs.c (main): Add new argument to scan_directory_tree

	* tree.c (scan_directory_tree): If directory is at  depth 8 or
	more, create rr_moved directory in main directory.

Mon Jul 26 19:45:47 1993  Eric Youngdale  (eric@kafka)

	* mkisofs v 0.1 released.

